package com.sucl.sbmp.sys.biz;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.google.common.collect.Maps;
import com.sucl.sbmp.sys.entity.*;
import com.sucl.sbmp.sys.service.*;
import org.apache.commons.collections.CollectionUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.text.MessageFormat;
import java.time.LocalDateTime;
import java.util.*;
import java.util.concurrent.CompletableFuture;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.stream.Collectors;

/**
 * ProjectName: fw-cas
 * Description: 长安汽车备件系统epc逻辑处理
 * User: wangkai <wangkai@feewee.cn>
 * Date: 2019/10/23
 * Time: 8:56 PM
 */
@Service
public class ChanganAutoEpcPartsBiz {

    /**
     * logger
     */
    private static final Logger LOGGER = LoggerFactory.getLogger(ChanganAutoEpcPartsBiz.class);

    private final static String changan_brandId = "80aed4fce2eb4f2d8b0740fe3fdcdfa9";  //长安汽车
    private final static String changan_new_brandId = "62e72b55debf4f0e86a216c74160dbbd";
    private final static String oushang_brandId = "474549e1fee84369913723719d5711f2";  //欧尚汽车

    private final static String Authorization = "xzz67j4v3gyd2j7vafbcqqzf";

    // 处理 获取changan 备件信息 数据 ，解析，持久化

    @Autowired
    private TempCarSeriesService tempCarSeriesService;

    @Autowired
    private TempScCodeService tempScCodeService;

    @Autowired
    private TempScModuleService tempScModuleService;

    @Autowired
    private TempScNameService tempScNameService;

    @Autowired
    private TempScPartsService tempScPartsService;

    @Autowired
    private TempScSystemService tempScSystemService;

    public static void main(String[] args) {

        /*ChanganAutoEpcPartsBiz biz = new ChanganAutoEpcPartsBiz();
        biz.acquireAnalysisPersistenceParts();

        String jsonString = "{\"respCode\":\"200\",\"data\":[\"SC7164GDA5\",\"SC7164GDAA6\",\"SC7164GCB5\",\"SC7164GCA6\",\"SC7164GDAH6\",\"SC7164GCAH6\",\"SC7144GCA6\",\"SC7164GDB5\",\"SC7164GCAA6\",\"SC7164GDA6\",\"SC7164GCA5\"],\"ok\":true,\"message\":\"\"}";

        final JSONObject jsonObject = JSON.parseObject(jsonString);
        final JSONArray data = jsonObject.getJSONArray("data");
        final List<String> codes = JSONObject.parseArray(data.toJSONString(), String.class);

        LOGGER.info("解析结果:{}", codes);*/

        System.out.println(LocalDateTime.now());
    }

    /**
     * 人工处理控制台获取的json数据，注意不能重复，并且不能出错-遗漏掉部分数据
     */
    public void acquireAnalysisPersistenceParts() {

        // 1。 获取车系
        /*String seriesJsonString = "[{\"seriesId\":\"JC2018121959060482\",\"seriesNm\":\"全新CS95\",\"scCode\":\"SC6491AC5.S1-L\",\"scVersion\":2,\"imgPath\":\"db971d0ff6e64779a322f9476fcaaa5f\"},{\"seriesId\":\"JC2018062716416227\",\"seriesNm\":\"CS75 PHEV\",\"scCode\":\"SC6469GA5HEV.S22A\",\"scVersion\":4,\"imgPath\":\"527fc73dfd7341cc8fa4dd9ff2d15465\"},{\"seriesId\":\"JC2018071340833240\",\"seriesNm\":\"全新CS35Plus\",\"scCode\":\"SC7164GDAH6.S2-L\",\"scVersion\":3,\"imgPath\":\"5b047ebf301146d89a536a9d2e4e0f94\"},{\"seriesId\":\"JC2018071341009441\",\"seriesNm\":\"CS85 COUPE\",\"scCode\":\"SC6476AH5.S21A\",\"scVersion\":3,\"imgPath\":\"9a762828ff3a4de28c422dcd63e9bd76\"},{\"seriesId\":\"JC2018020827759502\",\"seriesNm\":\"逸动DT\",\"scCode\":\"SC7168FAA6.B3\",\"scVersion\":3,\"imgPath\":\"a4803438db7648f8b8ba29f5a582edff\"},{\"seriesId\":\"JC2018031385318935\",\"seriesNm\":\"第二代逸动XT\",\"scCode\":\"SC7169MA5.C21A\",\"scVersion\":3,\"imgPath\":\"bd8d2aa69ef24fb9bc176172811d85e1\"},{\"seriesId\":\"JC2017110832564861\",\"seriesNm\":\"第二代逸动\",\"scCode\":\"SC7145KBA6.CNH3001\",\"scVersion\":2,\"imgPath\":\"b653fd9e6617429ba53f57f93165ee37\"},{\"seriesId\":\"JC2018082426352706\",\"seriesNm\":\"逸动EV460\",\"scCode\":\"SC7003AEBEV.CNH4004\",\"scVersion\":1,\"imgPath\":\"e16f58fa950f4c809e286ac34f797e26\"},{\"seriesId\":\"JC2019032935213168\",\"seriesNm\":\"CS75Plus\",\"scCode\":\"SC6479BEH6.CNH1002\",\"scVersion\":2,\"imgPath\":\"fe87595125bb4c26b0d33da8a0525e6c\"},{\"seriesId\":\"JC2017042474544222\",\"seriesNm\":\"睿骋CC\",\"scCode\":\"SC7157AABH6.C2\",\"scVersion\":2,\"imgPath\":\"2bbdf4b4bad64ec69c3a44935290180e\"},{\"seriesId\":\"JC2018121129156473\",\"seriesNm\":\"逸动ET\",\"scCode\":\"SC7003ALBEV.C4-L\",\"scVersion\":2,\"imgPath\":\"0ef1792521cf4ad2ab0413b983426c7f\"},{\"seriesId\":\"JC2014020817022245\",\"seriesNm\":\"CS75\",\"scCode\":\"SC6469KBAH6.S21B-L\",\"scVersion\":2,\"imgPath\":\"1aae659cd83e4a289c83d2bb08213827\"},{\"seriesId\":\"JC2017011318915353\",\"seriesNm\":\"CS55\",\"scCode\":\"SC7155AABH5.S31BS2\",\"scVersion\":2,\"imgPath\":\"a6d77a9abf18471e94a01443523ea585\"},{\"seriesId\":\"JC2018100832735916\",\"seriesNm\":\"全新CS15\",\"scCode\":\"SC7159ADA5.B2-L\",\"scVersion\":3,\"imgPath\":\"f5e640cc8f46450c886b0443bb333b65\"},{\"seriesId\":\"JC2017112157643542\",\"seriesNm\":\"第三代悦翔\",\"scCode\":\"SC7144BA5.B31A\",\"scVersion\":3,\"imgPath\":\"bcfcfe1b9ebc49dc8a3cbf648d767240\"}]";

        try {
            final List<TempCarSeries> seriesList = MapperUtils.json2list(seriesJsonString, TempCarSeries.class);
            LOGGER.info("欧尚汽车车系数据：【{}】", seriesList);
            if (CollectionUtils.isEmpty(seriesList)) {
                return;
            }
            seriesList.stream().forEach(tempCarSeries -> {
                tempCarSeries.setBrandId(changan_brandId);
                tempCarSeries.setCreateTime(new Date());
            });
            // 保存数据
            this.tempCarSeriesService.saveBatch(seriesList);
        } catch (Exception e) {
            e.printStackTrace();
        }*/
        // 2。获取某个车系的车型编码列表
        /*String path1 = "http://epc.changan.com.cn:8080/record/rcd-sc/searchScCodePreBySeriesId?seriesId={0}&_=" + System.currentTimeMillis();
        // 获取所有的车系，遍历得到seriesId,没循环一次请求一下，中间间隔2秒继续下次请求
        final List<TempCarSeries> carSeries = this.tempCarSeriesService.list(Wrappers.<TempCarSeries>lambdaQuery().eq(TempCarSeries::getYn, 1));
        if (CollectionUtils.isEmpty(carSeries)) {
            return;
        }
        final HashMap<String, String> requestHeader = Maps.newHashMap();
        requestHeader.put("Authorization", Authorization);
        for (TempCarSeries serie : carSeries) {
            final String url = MessageFormat.format(path1, serie.getSeriesId());
            try {
                final HttpClientResult httpClientResult = HttpClientUtils.doGet(url, requestHeader);
                //
                final String content = httpClientResult.getContent();
                if (StringUtils.isNotEmpty(content)) {
                    final JSONObject jsonObject = JSON.parseObject(content);
                    final JSONArray data = jsonObject.getJSONArray("data");
                    final List<String> codes = JSONObject.parseArray(data.toJSONString(), String.class);
                    if (CollectionUtils.isNotEmpty(codes)) {
                        final List<TempScCode> tempScCodes = codes.stream().map(code -> {
                            TempScCode tempScCode = new TempScCode();
                            tempScCode.setCreateTime(new Date());
                            tempScCode.setScCode(code);
                            tempScCode.setSeriesId(serie.getSeriesId());
                            return tempScCode;
                        }).collect(Collectors.toList());
                        this.tempScCodeService.saveBatch(tempScCodes);
                    }
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
            try {
                Thread.sleep(1);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }*/
        // 全新CS35Plus 所有车型代码
       /* String jsonString = "{\"respCode\":\"200\",\"data\":[\"SC7164GDA5\",\"SC7164GDAA6\",\"SC7164GCB5\",\"SC7164GCA6\",\"SC7164GDAH6\",\"SC7164GCAH6\",\"SC7144GCA6\",\"SC7164GDB5\",\"SC7164GCAA6\",\"SC7164GDA6\",\"SC7164GCA5\"],\"ok\":true,\"message\":\"\"}";

        final JSONObject jsonObject = JSON.parseObject(jsonString);
        final JSONArray data = jsonObject.getJSONArray("data");
        final List<String> codes = JSONObject.parseArray(data.toJSONString(), String.class);


        LOGGER.info("解析结果:{}", codes);

        final List<TempScCode> tempScCodes = codes.stream().map(code -> {
            TempScCode tempScCode = new TempScCode();
            tempScCode.setCreateTime(new Date());
            tempScCode.setScCode(code);
            tempScCode.setSeriesId("JC2018071340833240");
            return tempScCode;
        }).collect(Collectors.toList());
        this.tempScCodeService.saveBatch(tempScCodes);*/

        // 车型对应的车款
        /*String jsonString = "{\"respCode\":\"200\",\"data\":[{\"code\":\"SC7164GDA5.S3S1\",\"name\":\"2018款 - 5座\",\"scId\":\"d4b06ed8c0f74d938a003ca96d839d0e\"},{\"code\":\"SC7164GDA5.S4S1\",\"name\":\"2018款 - 5座\",\"scId\":\"0d05e0e601c04c278ad9b742558b3920\"},{\"code\":\"SC7164GDA5.RUH2001\",\"name\":\"2018款 Lev2 5座\",\"scId\":\"fe9966610f514cd4b6112c9da6bc074c\"},{\"code\":\"SC7164GDA5.RUH3001\",\"name\":\"2018款 Lev3 5座\",\"scId\":\"6d811fd402094da1878da90dd19d3ec2\"},{\"code\":\"SC7164GDA5.S2\",\"name\":\"2018款 悦联版 5座\",\"scId\":\"27f7d04f4f76401a89d16c309233a5b9\"},{\"code\":\"SC7164GDA5.S5\",\"name\":\"2018款 智联版 5座\",\"scId\":\"1bf091c7a187433f87c22f191b40cb36\"},{\"code\":\"SC7164GDA5.S3\",\"name\":\"2018款 畅联版 5座\",\"scId\":\"fde5b136bd6042fc99dca804d652122f\"},{\"code\":\"SC7164GDA5.S4\",\"name\":\"2018款 酷联版 5座\",\"scId\":\"4cd95cf83c2a43b8aa7b324e4ff51434\"}],\"ok\":true,\"message\":\"\"}";
        final JSONObject jsonObject = JSON.parseObject(jsonString);
        final JSONArray data = jsonObject.getJSONArray("data");
        final List<TempScName> tempScNames = JSONObject.parseArray(data.toJSONString(), TempScName.class);
        LOGGER.info("解析结果:{}", tempScNames);
        tempScNames.stream().forEach(tempScName -> {
            tempScName.setCreateTime(new Date());
            tempScName.setPreCode("SC7164GDA5");
        });
        this.tempScNameService.saveBatch(tempScNames);*/
        // 车款对应的系统总成模块数量汇总
        /*String jsonString = "{\"respCode\":\"200\",\"data\":[{\"systemId\":\"9ac8b648f01747c5b7bdf0ff3da0492e\",\"systemNm\":\"变速器系统\",\"systemOrder\":null,\"systemTp\":null,\"moduleNumber\":4,\"moduleId\":null,\"scId\":\"d4b06ed8c0f74d938a003ca96d839d0e\"},{\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":\"发动机系统\",\"systemOrder\":null,\"systemTp\":null,\"moduleNumber\":43,\"moduleId\":null,\"scId\":\"b2d7b3de35924e808efd034c2e3e4d09\"},{\"systemId\":\"18a7ff3ec03b4ac7bfa2a62cbbf2a0ae\",\"systemNm\":\"动力传动系统\",\"systemOrder\":null,\"systemTp\":null,\"moduleNumber\":1,\"moduleId\":null,\"scId\":\"d4b06ed8c0f74d938a003ca96d839d0e\"},{\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":\"底盘系统\",\"systemOrder\":null,\"systemTp\":null,\"moduleNumber\":12,\"moduleId\":null,\"scId\":\"d4b06ed8c0f74d938a003ca96d839d0e\"},{\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":\"电器系统\",\"systemOrder\":null,\"systemTp\":null,\"moduleNumber\":25,\"moduleId\":null,\"scId\":\"d4b06ed8c0f74d938a003ca96d839d0e\"},{\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":\"车身系统\",\"systemOrder\":null,\"systemTp\":null,\"moduleNumber\":69,\"moduleId\":null,\"scId\":\"d4b06ed8c0f74d938a003ca96d839d0e\"},{\"systemId\":\"23172b35976d4bd8a6749f06a257a88d\",\"systemNm\":\"排气系统\",\"systemOrder\":null,\"systemTp\":null,\"moduleNumber\":1,\"moduleId\":null,\"scId\":\"d4b06ed8c0f74d938a003ca96d839d0e\"}],\"ok\":true,\"message\":\"\"}";
        final JSONObject jsonObject = JSON.parseObject(jsonString);
        final JSONArray data = jsonObject.getJSONArray("data");
        final List<TempScSystem> scSystems = JSONObject.parseArray(data.toJSONString(), TempScSystem.class);
        LOGGER.info("解析结果:{}", scSystems);
        scSystems.stream().forEach(tempScSystem -> {
            tempScSystem.setCreateTime(new Date());
            tempScSystem.setScId("d4b06ed8c0f74d938a003ca96d839d0e");
        });
        this.tempScSystemService.saveBatch(scSystems);*/
        // 车款对应的模块列表
       /* String jsonString = "{\"respCode\":\"200\",\"data\":[{\"moduleId\":\"cbc03c885a8c4318abb81e4909c70aa8\",\"moduleCode\":\"F271701\",\"moduleNm\":\"安全带总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"29a1f789886145ba9dce12d8e0e607d0\",\"rmmId\":\"44455b13955d417e9e609efe58e179d5\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"2e7f7a436f37450f883da25c9c626164\",\"moduleCode\":\"F270809\",\"moduleNm\":\"安全拉手总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"e52968e519f74425be399134aed4cefa\",\"rmmId\":\"4740b385342346c8ae042f81b03dc891\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"d16bc9afeac34b9092046310847ad827\",\"moduleCode\":\"F271703\",\"moduleNm\":\"安全气囊控制器总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"056dfd5dd05442ada7f1cd50c2fe5ade\",\"rmmId\":\"37838bb9a0d04464a0a53e103e3a87ff\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"6f3cc63b84dc47d5bc220ea3aad9515a\",\"moduleCode\":\"F271702\",\"moduleNm\":\"安全气囊总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"7a08e1df463d431bb510ce95aa599d7f\",\"rmmId\":\"cf4a88cd09e04f748a7b4de8ce6363ae\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"f2ec40b8dcfc45249f4d1f466af7dcce\",\"moduleCode\":\"F270607\",\"moduleNm\":\"背门锁总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"8ea12aebe5954d6ebf8a8d85d7e75eb2\",\"rmmId\":\"607ee7dcd1bd4adb8e583633c336e5df\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"431ed52e76a2451c92ab7a648fe38ae7\",\"moduleCode\":\"F270906\",\"moduleNm\":\"背门外装饰板和装饰件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"b4a231af32484ab199f1d95a353ec214\",\"rmmId\":\"91ec0dc2301a4227a11aafb04153d2bb\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"11014c218e014393b4a0cc70d1342be6\",\"moduleCode\":\"F270108\",\"moduleNm\":\"背门系统（两厢）\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"70fccdf9b9c947b0ba398b230493ee40\",\"rmmId\":\"5c0271792988472cbcc4905c9083f95c\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"23bbd0b9c31b4da5849cbe9bad02832b\",\"moduleCode\":\"F280706\",\"moduleNm\":\"泊车辅助系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"4f215befa7314105be9b76a4602bd478\",\"rmmId\":\"2fec02c8971d49e183069812eff6956d\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"0ec707c9d2f14e18a2031738c9682484\",\"moduleCode\":\"F270205\",\"moduleNm\":\"侧围\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"a53129671c41481c9da160e8b637309e\",\"rmmId\":\"f4c182cf486e45c7ac5e41b7460b1ca8\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"9cc6766de60643c2b71ffde09db7ebdd\",\"moduleCode\":\"F260206\",\"moduleNm\":\"车轮轮胎分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"902afe70c5f141c485ea40edcb3c0e82\",\"rmmId\":\"5746c34b81a34da88b69c18bb4ceb9bd\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"61c68bf53ac6424bbb36b3632a39e6bb\",\"moduleCode\":\"F270408\",\"moduleNm\":\"车门玻璃呢槽\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"e2082a6733f04b40b092a12d1308f5c4\",\"rmmId\":\"ecc15565f2b843ffae797cafad4ff9d0\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"9435641f45f64776aad5720074c109ac\",\"moduleCode\":\"F270402\",\"moduleNm\":\"车门框密封条\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"a4309670f2ea4e2a84d3f3b0ca796d70\",\"rmmId\":\"46e859bc8d324d4a8fcb5f2714209e41\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"15d57b7e7dc2479196b6526c06cfd73e\",\"moduleCode\":\"F270409\",\"moduleNm\":\"车门亮条\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"55b6434a9af04b1c9ccb90dfe798973b\",\"rmmId\":\"a10ecf2cc3874412a4a244b828fcf45a\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"ab6d344d729d40f8ad47a384113260a7\",\"moduleCode\":\"F270401\",\"moduleNm\":\"车门密封条\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"6d9ae67b2b43447e8bc0136028c8baa4\",\"rmmId\":\"174dac44f6b6453993fbffb73120e8e7\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"6baa1faa048b486a947d75a18b3c8cb4\",\"moduleCode\":\"F270407\",\"moduleNm\":\"车门内外夹条总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"92c98ecb06d741a0a4617c042ec8fef8\",\"rmmId\":\"3bd7c2b589e94015a141429c1c6663c0\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"63f2d65b68d94330b606d380d4289f1f\",\"moduleCode\":\"F270603\",\"moduleNm\":\"车门锁总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"55d82f2a41b94879a7f4aafbb6d5b051\",\"rmmId\":\"fb6a4f9e5b134c8cb8478583ece3bcdb\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"9885afa39fa84bb39f7b1f2cf3c4f966\",\"moduleCode\":\"F270604\",\"moduleNm\":\"车门外开手柄总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"dc28c0879d6f4ba2b953fc1e70f23031\",\"rmmId\":\"0eb8e91e275e4e30a85782b097ac5cd2\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"72c459b316be43d2ace9453faa1b97f0\",\"moduleCode\":\"F270103\",\"moduleNm\":\"车门系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"6a225715a0304c33ac700980394f2849\",\"rmmId\":\"2cc09e1b5bec41b39a923dfe8ed6392c\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"2fa9ef1c0dd44a629b1bdc7fee264b10\",\"moduleCode\":\"F270805\",\"moduleNm\":\"车身侧部内装饰板和装饰件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"305904a7ff4949618e1b64ddc398ba0e\",\"rmmId\":\"3121023962cc4020ad8179dce4893b14\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"fc078041431b440dad3bd0c2b3250ea8\",\"moduleCode\":\"F270904\",\"moduleNm\":\"车身侧部外装饰板和装饰件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"31c95aece2764d8db2ed4b69565b3987\",\"rmmId\":\"b2b74a26ede540c1a41805581fe4f2a5\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"f2e28b9846c14a0d95f40941f43d60d5\",\"moduleCode\":\"F270209\",\"moduleNm\":\"车身冲压金属支架\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"050675ce43394c7f90d0d0acb117fc9a\",\"rmmId\":\"4d1e6b1ad1b94ca690dbeb399142b033\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"d4c4d276447d45cb953bf3cfc135d454\",\"moduleCode\":\"F270909\",\"moduleNm\":\"车身底部护板模块\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"2ffb2964aa22428ebf9c80b6ee697f12\",\"rmmId\":\"126d2a7985324bb1a43aaebfe1b050c8\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"4a8b5ca2edc64effb72b5b612420622b\",\"moduleCode\":\"F270208\",\"moduleNm\":\"车身顶部装饰\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"e6e37b1c237c4cb08754e0a3d83db502\",\"rmmId\":\"fc93d813955143a6bbf262bb0b513f24\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"58c776e5877a43d2b4e687fbf5b36ebb\",\"moduleCode\":\"F270302\",\"moduleNm\":\"车身隔音隔热垫\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"4d20b67c413f4838876f8956f0e15b07\",\"rmmId\":\"7c822cdfcd0b4fa290cb5e0a54451e6c\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"f7c433dbe9bf42abbbccaa797be9f0f6\",\"moduleCode\":\"F270806\",\"moduleNm\":\"车身后端内装饰板和装饰件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"4eeb10820c9c4dd6ae1eac62b9b63c7d\",\"rmmId\":\"78cdab5a56a0403aaf6a38f3e25a92de\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"2b2d14bc0ecc471fabdc46ed8881539c\",\"moduleCode\":\"F280707\",\"moduleNm\":\"车身开关控制子系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"399e86f2a4cc48d8a15311508d304597\",\"rmmId\":\"b3ad2d40b9bc48e0b375d75defa8c20b\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"9fb7f421c22c454180d9b0a88d2e3ef5\",\"moduleCode\":\"F280702\",\"moduleNm\":\"车身控制器系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"da4ed6733ac64840ae87cbfa83e72e78\",\"rmmId\":\"b13beca3a56a462e92f2dd9654abeac5\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"2aff8932571346d5bcee8461e7203aab\",\"moduleCode\":\"F210602\",\"moduleNm\":\"传感器/信号调节装置\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"f88c1025e6ab448dad7d9ee6aa4f12db\",\"rmmId\":\"2e89d1a7a99140a788d2ebb07e7f7013\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"2aff8932571346d5bcee8461e7203aab\",\"moduleCode\":\"F210602\",\"moduleNm\":\"传感器/信号调节装置\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"c01cb506bca348739dc194aa8b26954c\",\"rmmId\":\"09b48208cd1c45d3bb90cfc7b2858430\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"49b5a6f8e56d47b79ed8f241ed51b3b0\",\"moduleCode\":\"F270801\",\"moduleNm\":\"地板装饰板\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"2347b920d3504659ac7a4108c2fea976\",\"rmmId\":\"dc28d6208aeb4b35b4a5a9bb314379c9\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"2cd1f473378f4956a6a275ae11e3d4a3\",\"moduleCode\":\"F211201\",\"moduleNm\":\"点火线圈总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"5aa3c585d9654d998c03e94f25bfd4d1\",\"rmmId\":\"d287864f97f540be8df2a948075ae1c7\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"28dfb375ab50454293634de9c78c21a2\",\"moduleCode\":\"F280601\",\"moduleNm\":\"电气线束和电路保护分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"eb2ccb8678e541bc9d8f07e6a45336ac\",\"rmmId\":\"cca585c2457f40229165f015a8e5d691\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"615e9c293c8640b8a3810f5601e9c672\",\"moduleCode\":\"F280301\",\"moduleNm\":\"电源服务子系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"b3e497d6036340e5acbbf9850e066393\",\"rmmId\":\"46f80b853c23425ab4a2b7ee2d713b9f\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"f9820f0510004667a4b42a70bf73b347\",\"moduleCode\":\"F210603\",\"moduleNm\":\"电子式执行装置\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"0fb213de67984889b924a23dbbced61a\",\"rmmId\":\"2080ad32fbca43d89ecc9a6d5d92d0ce\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"f9820f0510004667a4b42a70bf73b347\",\"moduleCode\":\"F210603\",\"moduleNm\":\"电子式执行装置\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"dd2ed457fa624e33b946e62d12640427\",\"rmmId\":\"03d2d954307847b489ee12e45cba07a1\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"90a8526afc444eaf9da9d30f416b1c74\",\"moduleCode\":\"F280405\",\"moduleNm\":\"电子通讯分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"19d1d4934da84972aa7f2bb773d0c306\",\"rmmId\":\"2083ff60497a4b83b9e4d8ecbbf8fc22\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"3bfb5abf5c154c27bf75599c49a293b6\",\"moduleCode\":\"F260306\",\"moduleNm\":\"电子制动分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"1c65c74c41064ba8a8ab90f8f02a70e5\",\"rmmId\":\"a4db5c0f24464414945bfd312b364675\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"7cf31459ba954feeac5ee5f630bfeda2\",\"moduleCode\":\"F210716\",\"moduleNm\":\"调温器组件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"65e8a54cce74417cafe5a6d3fc19b815\",\"rmmId\":\"389be5db613c4d78ad2fba1611f6a26b\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"91773b40507c4ca3863d68f4b3bff054\",\"moduleCode\":\"F270206\",\"moduleNm\":\"顶盖\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"620ae12994e945a8a96084c7fdba919b\",\"rmmId\":\"41663190ca7d49d5aed2e97924b565b8\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"319dfd928b714fdea966d28e8f910772\",\"moduleCode\":\"F270802\",\"moduleNm\":\"顶盖内衬总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"d4b0ba704c964aeb90daa7722e0f418b\",\"rmmId\":\"c0792e429da943b2af9a2f587fcfdf7e\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"b53f50a2506042f58288f705d38911a5\",\"moduleCode\":\"F280608\",\"moduleNm\":\"动力系统电线束总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"7b184ca80a6e49bf99dcaa2ed41c8745\",\"rmmId\":\"aef22bc86a8448fbbc4582067d7d07b6\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"a9293e0df6a54bc9a25fd0bef9e76dc6\",\"moduleCode\":\"F280302\",\"moduleNm\":\"发电机\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"bc06aed59fca4b9c829fe3b34e70b559\",\"rmmId\":\"8078794911a8449cae07205ff7bbaee5\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"e71b3752db0c445ca2c59eb551df1227\",\"moduleCode\":\"F270702\",\"moduleNm\":\"发动机舱\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"572b51e5ca544d9897be6d95e783260c\",\"rmmId\":\"87c580594cf94e738adf99cdb0618d56\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"81748b7269ab4f339f55fe36b83cef33\",\"moduleCode\":\"F270304\",\"moduleNm\":\"发动机舱隔音垫总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"ce1262adfce24c50bf9cac4bbb4b5211\",\"rmmId\":\"e1695a64590c4acdacc1f3a5855ebfdf\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"4b3371c5b3a84dc4a1eaa37672444c12\",\"moduleCode\":\"F270908\",\"moduleNm\":\"发动机舱饰件模块\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"281fa49b74274a2bb79afff1feff1c9a\",\"rmmId\":\"b7be69888101455a967e2af71354c46d\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"8d36cd2fe70942f09bfcc3139c1d119a\",\"moduleCode\":\"F260403\",\"moduleNm\":\"方向盘分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"fcfd8414b1b14cc7afebc94944998ee0\",\"rmmId\":\"ae8f1728e8e44767ad0c226c76d46295\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"8087c362c29a46e1a204c513cd6f27e4\",\"moduleCode\":\"F271202\",\"moduleNm\":\"副仪表板\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"bc9a45eeb2444ea88255bc202d1f94aa\",\"rmmId\":\"a4a626b3a971497a8ee472c932bc29dd\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"87284222eca443cda4fd6801a77b183c\",\"moduleCode\":\"F211103\",\"moduleNm\":\"高压油泵总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"c052eba0386a4f46a879fe179f198bdf\",\"rmmId\":\"4ee02059245c4c84b3dc634ae95e9c81\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"0326991543184bc79ce6517eb714e56d\",\"moduleCode\":\"F270501\",\"moduleNm\":\"固定玻璃系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"6c6f40ae12084b3e8f9aedfa91b20611\",\"rmmId\":\"afc441bb203f4a4aaaa15c4eb9171694\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"2d5a3b452e1d47d4a8aca8b54c82306a\",\"moduleCode\":\"F271801\",\"moduleNm\":\"刮水器和洗涤器分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"a84096340f3c4c2dae5b99782245ef76\",\"rmmId\":\"9bd1ee9193f641ce82c7076432459fbb\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"ed4713e6b5eb40f3aec8f59970b2ce2a\",\"moduleCode\":\"F260103\",\"moduleNm\":\"管束模块\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"d20b4659134049a3a6e32f650f36661e\",\"rmmId\":\"f11bcd2011d040f8ac0113ce07a504b9\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"3de3bc4e62fc4007ba66b5c033f3287c\",\"moduleCode\":\"F271303\",\"moduleNm\":\"后保险杠本体及附件模块\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"588be64bcd874b9587eb559448a9b6ee\",\"rmmId\":\"c3539d248f5d4e15bd4c7051b507e554\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"d4e4448b431742f0af6969c47c37b868\",\"moduleCode\":\"F280503\",\"moduleNm\":\"后部照明\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"63adeb4906b649179a7cde0862f80db9\",\"rmmId\":\"6f6a532f935b49b887f4d24dcc2bdeb5\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"28565361af8444af83edb75a8f5b594c\",\"moduleCode\":\"F270804\",\"moduleNm\":\"后侧车门内装饰板和装饰件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"ed4cdcaed21b4a7fb26c3cb5a8345167\",\"rmmId\":\"964c3b1aa0c044d7b1646c99e85382e1\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"48a429c810464a1b86641f2b40a6fc3d\",\"moduleCode\":\"F270202\",\"moduleNm\":\"后地板\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"ed09932f08f5405cbd9b7d0b062791ff\",\"rmmId\":\"a17dd53123624f3ba395af9d6415b18f\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"25d8d20410834683a0fbf10ec7d98a58\",\"moduleCode\":\"F270204\",\"moduleNm\":\"后端结构\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"ad9c8b5220e3458e85f23dbea190b5ce\",\"rmmId\":\"e41492ac52704ae5818ead5bfa70e04d\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"727dce4f9ebd46eab19a08032099649b\",\"moduleCode\":\"F271103\",\"moduleNm\":\"后排座椅\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"d0c09fd175d841d49907cd79d432be9a\",\"rmmId\":\"8223c723e9d64daab23472feecf9da0c\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"e574a121f19842e99ba1d674b7cdc8c9\",\"moduleCode\":\"F260203\",\"moduleNm\":\"后悬架分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"44e99b10c3fc4bab91650091b95060aa\",\"rmmId\":\"f318f411e67c4d27bd081bff1a96868f\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"e07370b535404eb0999858f13a975711\",\"moduleCode\":\"F230202\",\"moduleNm\":\"换挡操纵总成（AT）\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"2482948e71f34c3f90d778e19e37e76c\",\"rmmId\":\"b257b865725b4fc7bba78f4cd21d53b6\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"9ac8b648f01747c5b7bdf0ff3da0492e\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"d7b65b15761f4d0a936f2850ebeddc43\",\"moduleCode\":\"F230205\",\"moduleNm\":\"换档操纵拉索总成（AT）\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"678b6658727f4499b80bfd0570ce6c1c\",\"rmmId\":\"1e67af57403e4d31a21fd338770a30cd\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"9ac8b648f01747c5b7bdf0ff3da0492e\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"de0e3235be654a01b71913d81e0a6d79\",\"moduleCode\":\"F271401\",\"moduleNm\":\"徽标、字标\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"232fee6fd8e64b4cbba3c52704b5fbb6\",\"rmmId\":\"7f2d80c0e15e48b19d0a23ae114033b5\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"6544da67ae2d4a18b14dbdbafc9fde68\",\"moduleCode\":\"F210904\",\"moduleNm\":\"活塞环组\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"77bafd497afe4f48b02ac9657526e7aa\",\"rmmId\":\"035430d497bf4cbbbc2e85f0d2250e8a\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"8f078038fffa435fb55f8fb4bfd7adcf\",\"moduleCode\":\"F211306\",\"moduleNm\":\"活塞冷却喷嘴总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"e4db3ec8be824ac29e921378f8a0eb43\",\"rmmId\":\"d427977919bb47fe8e78cec841e83024\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"a84cb85a7d2b427db1719dbb54f9894c\",\"moduleCode\":\"F210903\",\"moduleNm\":\"活塞组件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"092b00366ca44fa5be1b7693c54e56ca\",\"rmmId\":\"bc78b0fec8a44ad3a263424157ea486a\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"09708ce0a5c9418da8f60b5ba879d6cd\",\"moduleCode\":\"F211202\",\"moduleNm\":\"火花塞总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"803b8303e9d14294a5183051ef73c274\",\"rmmId\":\"ab521af72b4942529371c272a7f079dd\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"1541166b6c2442aabcbb35d779be963d\",\"moduleCode\":\"F211301\",\"moduleNm\":\"机油泵总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"c9e3fbef10ed423783f86460460fdc22\",\"rmmId\":\"19e932b0ed5a4e2ba2bcceeeaaff6847\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"1b4335681c7842cc8e7ad8cb639d6f32\",\"moduleCode\":\"F211302\",\"moduleNm\":\"机油滤清器组件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"07c68b538b62442d985a2668a21f1654\",\"rmmId\":\"59a8596aa5234bf191db22438ebd77dc\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"12cfe2fda1dd40299c6c9e2c6add9ecc\",\"moduleCode\":\"F211304\",\"moduleNm\":\"机油盘总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"7a3b3b28054545fd9dc499e1de955c42\",\"rmmId\":\"8f39eb36aa214211b04b2e31adf6fbf3\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"50af4226baea4c7187e5362833bffaa6\",\"moduleCode\":\"F260204\",\"moduleNm\":\"减振器分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"a0d967b30a8f48e5af30799b0154d3ad\",\"rmmId\":\"b69b461fa4f84a71990ec2f22503270d\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"d43df8e498104f25ae9fc4b7e1ebfe8e\",\"moduleCode\":\"F280401\",\"moduleNm\":\"接收装置和音响系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"778a6011c42d4e38b06ea6172bb77220\",\"rmmId\":\"9373c84c3a1b4b0695527a4a8bb14a68\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"81a09670ae094c10ac72d9022e88e0c9\",\"moduleCode\":\"F210803\",\"moduleNm\":\"进气系统(发动机)\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"bf65b8d823cf47b6985f7703002c5294\",\"rmmId\":\"6915aaf042554df3b167040d4b9b54ec\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"6038d19483b54dc7bbb6b0a90fe8ffe9\",\"moduleCode\":\"F280408\",\"moduleNm\":\"可视分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"f9d6fdfe05f447249e73b1f33b226b22\",\"rmmId\":\"4e90eaaddd3a49779bbbabf81fc813de\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"f9b49f4c86094a39a8b7f4ce0fef4bc0\",\"moduleCode\":\"F280103\",\"moduleNm\":\"空调系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"6422cb3e623a47f899b07d077268f4e5\",\"rmmId\":\"0b695ec17ca747959264029267434c42\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"f9b49f4c86094a39a8b7f4ce0fef4bc0\",\"moduleCode\":\"F280103\",\"moduleNm\":\"空调系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"5d7c6f265ff14eba9a37d43f3c91b688\",\"rmmId\":\"66a1659d0ed746ef8c56b7dfa17ee7ca\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"84e6a696eaaa40f0a96cc7bdda58853c\",\"moduleCode\":\"F210501\",\"moduleNm\":\"空气滤清器组件 \",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"167db1353d8b4338a9ba73d61eaa28de\",\"rmmId\":\"336933640afa4c089abc238105282c34\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"00a5babbd2ce4b718d7fb70f788d56d9\",\"moduleCode\":\"F210601\",\"moduleNm\":\"控制单元总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"be84b403ebca456db1daa61a7c63e0d5\",\"rmmId\":\"fe34d1be5c5847efbf135da0772b5444\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"1a67e283727544b1b1d2194d85f32c2e\",\"moduleCode\":\"F280105\",\"moduleNm\":\"控制系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"acef96d5365d4a9dad4f125b2bf8be55\",\"rmmId\":\"925dff6649df45418e74bfb7c5f7a0d4\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"d0832948590b46adae06a6cd8d47fe9c\",\"moduleCode\":\"F280207\",\"moduleNm\":\"喇叭分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"e575a9c5dd4143a383d44c1f22796ae0\",\"rmmId\":\"141f4920d5214a32b58c630d7485c8b2\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"3dc2392c37e7443f92ede3d509763770\",\"moduleCode\":\"F280402\",\"moduleNm\":\"蓝牙模块\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"d7180f2d907f4494b6b8ff7247eb9f80\",\"rmmId\":\"75a471b606d94d2193751d1f9f508144\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"35b0674334bd48b1af8f29c2d269230e\",\"moduleCode\":\"F280104\",\"moduleNm\":\"冷却系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"2f33846528524e58948c82ff67309e17\",\"rmmId\":\"a80436fb318d41abade47efa69687608\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"558488f6441e42529cfcaa972e702751\",\"moduleCode\":\"F210902\",\"moduleNm\":\"连杆总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"332ec3ee33bb4a93a2627394d9a1c335\",\"rmmId\":\"9699dee39e8b4ccc97ade703e82e9ab0\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"b9089755313e49fa96a64630789481db\",\"moduleCode\":\"F271306\",\"moduleNm\":\"轮眉饰件模块模块\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"c82344019eb242c49959e18e6f0113de\",\"rmmId\":\"b4d7ff970398440bb12dafe2af0fb747\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"703c69385a454a7eb5fca2a3031b1b25\",\"moduleCode\":\"F271001\",\"moduleNm\":\"内后视镜\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"6d03774033864aa691135f583c12b3a5\",\"rmmId\":\"3e8aa91c310747178c1e1993a8346b63\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"9cbaf97c8e6c48cc879d36c102a4f667\",\"moduleCode\":\"F270203\",\"moduleNm\":\"暖风机压力室板焊接总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"19278e76a72b4c779f275fd1bcadcfad\",\"rmmId\":\"8cf78f1c52b74c7095e4df8b782fefb2\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"2684f7e5999d4305aa31ad5a6adee69d\",\"moduleCode\":\"F210805\",\"moduleNm\":\"排气组件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"b324b0a159344605a42f2e4c6b842fce\",\"rmmId\":\"caebd5cfb2304113871db2ceddcb915b\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"abdbfceb2b1e41a8bc19d4a3bd9a3aa5\",\"moduleCode\":\"F280602\",\"moduleNm\":\"配电开关系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"b42d938b899d4910a7dabea8cea57085\",\"rmmId\":\"48bd20a9958543f8ac471764a4166274\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"45a1a79fd8924911b683dc028eba1ebc\",\"moduleCode\":\"F271704\",\"moduleNm\":\"碰撞传感器总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"b4c998531b8e4f688eea5648faaff5d3\",\"rmmId\":\"c6055f54d79a4d76b73ffb959ecf9f2b\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"476226afc673491da1c5b6effdb961cd\",\"moduleCode\":\"F211501\",\"moduleNm\":\"启动电机及ISG\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"f0697a7d3842441f94b091b4e21ac493\",\"rmmId\":\"b1351ace1b2d436a81e151883cbab4d0\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"c3c013a959174db3983cce00d38b8f69\",\"moduleCode\":\"F210802\",\"moduleNm\":\"气缸盖分总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"0453d4ceeaf149b0a0c898607fc9572b\",\"rmmId\":\"a327e87b471e4d24a2eee444847b8294\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"20680640fce34c00bba92bca6095447e\",\"moduleCode\":\"F211601\",\"moduleNm\":\"气缸盖罩总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"748ab3156aec4fe0b98f8959e9036792\",\"rmmId\":\"4dff046eb4a54dcfa92e4e9b72eba837\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"da1fe1f7f82542e29cb325b1008ff8fe\",\"moduleCode\":\"F211607\",\"moduleNm\":\"气管组件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"d1b34f2952a247cb9f0e703b1f82c0a6\",\"rmmId\":\"5f2109496f214dfc802f907a2fa1cf96\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"74ad1237f5f740ebba013dd64b844aba\",\"moduleCode\":\"F211003\",\"moduleNm\":\"气门组件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"c3d75e4a6f5a4321af58f96aa333ea39\",\"rmmId\":\"e449e7f18ecd42ffa3c6ee74005be7d5\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"12564599c20447f28af00ec7408deccf\",\"moduleCode\":\"F211002\",\"moduleNm\":\"气门作动机构\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"8478945cb307477685d6b0d47a8fbb57\",\"rmmId\":\"f81358131b76430fb030e87301058c7c\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"cf2f2e5d2196411c958b3573e326d5a4\",\"moduleCode\":\"F271301\",\"moduleNm\":\"前保险杠本体及附件模块\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"879e4bc558d44fcf9dcc56a46c292d7e\",\"rmmId\":\"85b22ee10a334870bcd5abca4c7a71ae\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"1c3b9f7eda4f4c7fba88ce20f5b66c64\",\"moduleCode\":\"F271302\",\"moduleNm\":\"前保险杠上装饰盖板模块\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"5eaa715f21a54ecb924a1a58187e3a51\",\"rmmId\":\"0936e35893bd403da298d68e5d6a5018\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"bf10b48ace3b45a092958bc41353e077\",\"moduleCode\":\"F270303\",\"moduleNm\":\"前壁板隔音垫总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"26423955fa01405798709976bc85ca32\",\"rmmId\":\"605d67ca3490432f91c751974ae4611d\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"d6812e5a92344f3e8fdb60eb20c5fe4c\",\"moduleCode\":\"F280501\",\"moduleNm\":\"前部照明\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"b7fcc340040e40fb843b9fa8970163a8\",\"rmmId\":\"bb32f8db5ca746ed885e6948fe16eaa2\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"8a4befbb5f6c4bb9a05bb4c5a3126a40\",\"moduleCode\":\"F270803\",\"moduleNm\":\"前侧车门内装饰板和装饰件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"7f449837f90d42488a7a9a0776cadd74\",\"rmmId\":\"7d5873d450034a48bbfa933699e40d91\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"8dcd0f0b49804412bcbc43f2879bf038\",\"moduleCode\":\"F271802\",\"moduleNm\":\"前挡风玻璃/后窗玻璃刮水器\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"6de2d940b8164d69b56535ebc0187084\",\"rmmId\":\"43ed4903886242fd88074fb7d067c60c\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"880e78eab1e146c88e9003dec530b19d\",\"moduleCode\":\"F270201\",\"moduleNm\":\"前地板\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"a8be25c8a4d8448f965cf16a751acf56\",\"rmmId\":\"512c5f4d65d1497ca9063cf2b6c8fef0\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"147d8a62d22f4ee2ba4e045e35d80881\",\"moduleCode\":\"F271307\",\"moduleNm\":\"前端导风板模块\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"0fa1f98283424a58af762bf121589fb8\",\"rmmId\":\"cf4c3ca39a0646599456f5260dd37972\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"3d4a111327c846e4abf12e4c192ec153\",\"moduleCode\":\"F270701\",\"moduleNm\":\"前端结构\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"22d392d5ea5a47b9877ab6d3b243e207\",\"rmmId\":\"df74bca7a5044318845468a7f10698ec\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"b7fccb679d5a4e0e8ef50feee681d6cc\",\"moduleCode\":\"F211401\",\"moduleNm\":\"前端轮系系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"84888bd639714bc497979602a71f853b\",\"rmmId\":\"84cb0e48826340cbb2b82729e0289949\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"662a1352eb584fb391a9144afdc072a4\",\"moduleCode\":\"F270703\",\"moduleNm\":\"前端模块\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"cea07438a9ac4180866c57c285b0ffe9\",\"rmmId\":\"c56ca6e6a59047a88b63e67978976a1d\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"aa42cb61c89f446c9e776e4a1a614c0b\",\"moduleCode\":\"F260301\",\"moduleNm\":\"前轮盘式制动分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"01a49d629dd7421898c45a5d2f1fa3c1\",\"rmmId\":\"6da480b96ffe415e91f6e18cb9824e48\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"92f6a3e443a844ad964ed2c6f1e356fa\",\"moduleCode\":\"F271101\",\"moduleNm\":\"前排座椅\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"d78b148ca911430992d33a144eb95e06\",\"rmmId\":\"49ebcf2c8db4476ebd4551ce7ab5c9ee\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"27ae9a94bfd44f19a6fd832caf9dd385\",\"moduleCode\":\"F260202\",\"moduleNm\":\"前悬架分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"24c950537d0b4f2bbb51b4f7a370dd94\",\"rmmId\":\"e3c481a9d0b04668af20cb118880ec27\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"069faf0b8e8d4cb3a7bb4b631a07648a\",\"moduleCode\":\"F271805\",\"moduleNm\":\"前照灯/尾灯洗涤器\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"da30bd414f5b468584b34f75b3cbd1b7\",\"rmmId\":\"9e591ee5f18647c7ad8780d47554f456\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"e2b99242fa8246a29cbb2e7b269ea5ea\",\"moduleCode\":\"F270305\",\"moduleNm\":\"前罩隔音垫总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"ec39b75eb35a49fa9e13e2e1fb2ef843\",\"rmmId\":\"fbe1ff1a89434ad5ab38884f3eee0d36\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"064f338b598e43688a2594b0e8afae5f\",\"moduleCode\":\"F211603\",\"moduleNm\":\"前罩壳总成（铝合金）\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"ec28be89e2134375b4b2edbaaef742f0\",\"rmmId\":\"883c7a7d69254a4d94dd159adc2dfe44\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"e26fdf6207c04cb79c9d64bff520682f\",\"moduleCode\":\"F270610\",\"moduleNm\":\"前罩锁开启手柄支架总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"7db1e38eccf04ea8b9bd63d8d3d40e01\",\"rmmId\":\"40c975b2b0fc4b82bcac6a9adf8a891b\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"0ea0c775ebcc466cbb0b365cf720a585\",\"moduleCode\":\"F270601\",\"moduleNm\":\"前罩锁总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"8775aed479194e449e0ce50ed4087d1e\",\"rmmId\":\"a5e8ca1d33014c75a197743ba08e7776\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"7187c1db8de742f98aae26f0bb7781c3\",\"moduleCode\":\"F270101\",\"moduleNm\":\"前罩系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"b048a80e86df43c4a67786deb77f6d23\",\"rmmId\":\"b2598883f4834e0aac3afb4a216146be\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"c13d247fd7d343b683f27423a1be0511\",\"moduleCode\":\"F210906\",\"moduleNm\":\"曲轴皮带轮总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"38d210d741234962b748c64a633000db\",\"rmmId\":\"47191451eb164548b91f676b0ab3814f\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"849bc34b248c462cb77f657e0f379170\",\"moduleCode\":\"F210801\",\"moduleNm\":\"曲轴箱总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"1eca9343276a44c188f078f9411a05e5\",\"rmmId\":\"a6370a7f4dba48af8c98e3a54cbe6f06\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"bf1ab7d7f705486b9c207cedd3e18b99\",\"moduleCode\":\"F210901\",\"moduleNm\":\"曲轴总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"c16296b4f7274d20a94b08fe87fa43e0\",\"rmmId\":\"73c882900b6e4db2877b069ac6b95f07\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"f0365be81a084df7a90f0cc3b88c6ccb\",\"moduleCode\":\"F250101\",\"moduleNm\":\"驱动轴总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"f2de90bfb2b94d8d813904b8731767ec\",\"rmmId\":\"ac943a59eb144cf7be7c58dd47348fb8\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"18a7ff3ec03b4ac7bfa2a62cbbf2a0ae\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"1a35a2e0625b48c6945bce9487cce9b1\",\"moduleCode\":\"F260101\",\"moduleNm\":\"燃油供给分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"30403a3459c94baea9bb2955efe6c7c1\",\"rmmId\":\"64a4d701160b4999a57233c358cf30be\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"fcd375eecb1043a7b6ad5904bfd5b9ac\",\"moduleCode\":\"F260102\",\"moduleNm\":\"燃油模块\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"89905362748840f1a0515910ee733067\",\"rmmId\":\"cc8954c088bb4f699dc03ec58b579cbb\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"498c7e4abdb2409dabf9ffd5f196dc94\",\"moduleCode\":\"F211101\",\"moduleNm\":\"燃油总管总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"f30b5f0b3a0b4008ba8323027cab3001\",\"rmmId\":\"d8f034e46b3f48b0b68fba234d5344e3\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"3c1c369b17ed4249999ae81a5b12ed25\",\"moduleCode\":\"F270905\",\"moduleNm\":\"扰流板总成（虚拟总成）\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"40a9a8db687844978129b2e3926ac0e6\",\"rmmId\":\"4fb99ceaf5164886a66a92ef04b49804\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"b74d9294216a4fab93aa9a13af3ade10\",\"moduleCode\":\"F210709\",\"moduleNm\":\"水泵总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"5ca9fa968dd94bdf8b7c9260f131775e\",\"rmmId\":\"3225d61811a24d2ab87fd028c3caf0d6\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"f7152108d4e441028621c9ac697704ae\",\"moduleCode\":\"F210714\",\"moduleNm\":\"水管组件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"bc632ddd4d9e4911a49130dce2278b60\",\"rmmId\":\"98cd28fe41cf4e0289bac5b1834e2438\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"f7152108d4e441028621c9ac697704ae\",\"moduleCode\":\"F210714\",\"moduleNm\":\"水管组件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"6a27ee5e31e34bce882b2cd7f881147c\",\"rmmId\":\"7f0a737bb0ea47aa81e63fbb6f27e5b2\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"d21b2509b7cd4014b597e9c5d2e359fc\",\"moduleCode\":\"F280705\",\"moduleNm\":\"胎压监测子系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"b68654c204ed4c3d8f43a589e4f59e40\",\"rmmId\":\"39ea6ef194054001b4805f0874dbe283\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"d406ece8863549d8a289eb332f455f86\",\"moduleCode\":\"F270106\",\"moduleNm\":\"天窗系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"f1d04cbe67b34e52916ad4d02a7757cf\",\"rmmId\":\"b1a95215b5b04e48ac9adb33c17a2b73\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"6f147b9c802a4642b9aa15d579b696c8\",\"moduleCode\":\"F280403\",\"moduleNm\":\"天线分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"3816e87147ed4790bde1debb91497d89\",\"rmmId\":\"ed5bbf6c32c646efbbb459c46795f5e7\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"845ef287b507404088a8cbeb65c3d51e\",\"moduleCode\":\"F211001\",\"moduleNm\":\"凸轮轴及驱动装置\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"16647edfc52b4d1a857e6a1e4ddb2871\",\"rmmId\":\"24e59e7560d844fe8da1806dc2942588\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"5e7a7daff5334ffb86bc5bff91ef1686\",\"moduleCode\":\"F210907\",\"moduleNm\":\"瓦片组件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"641f0cd5c83d4ba8a65cab72cdaac92e\",\"rmmId\":\"e5443ef67b45476e871c0b149421ea1f\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"a190ca52595143fd90a24c4679a44ed7\",\"moduleCode\":\"F271002\",\"moduleNm\":\"外后视镜\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"eba39998d3a341308a9cab7e3358476f\",\"rmmId\":\"8827204da6e24a1bbca3dda484f92635\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"907c2909d9d7449896ce9043d2a737b4\",\"moduleCode\":\"F280703\",\"moduleNm\":\"无钥匙进入与启动系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"c247ddd221a940cd99db03703c20c0d4\",\"rmmId\":\"940e45159cd145439bbea905f20dd7f6\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"6c43450012f24079bcc3f9fd4a917dc4\",\"moduleCode\":\"F210107\",\"moduleNm\":\"吸振器\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"d73ac73cc6344b15947c556a69159d16\",\"rmmId\":\"12607d011cbe4326aa330c0e75291732\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"44516a7a6b2542a88315ce8a734290f9\",\"moduleCode\":\"F240201\",\"moduleNm\":\"消声器带附件总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"92f4947a6cb447faa7d0d5f806f70099\",\"rmmId\":\"29d9d43e43b24f0c98e7b381ee140640\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"23172b35976d4bd8a6749f06a257a88d\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"631c865fb74845b0b9a050962dbebae1\",\"moduleCode\":\"F280701\",\"moduleNm\":\"行车辅助系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"51a040d4eab94d0e81813fef5d5d0c9e\",\"rmmId\":\"ae3ca04569f2473fa83095fcad7d66b6\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"91e4178ad1ef4b85a52b828d5da25e40\",\"moduleCode\":\"F270807\",\"moduleNm\":\"行李箱内装饰板和装饰件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"b1997b61a4074326b659ac0cbe6a6f4f\",\"rmmId\":\"1e46f4d5c01749e9ae80170b699fee04\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"9cf4ab28d83d499a8015313ca5c3c369\",\"moduleCode\":\"F270211\",\"moduleNm\":\"虚拟车身总成系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"fe69ca70471245749941d55e96698f96\",\"rmmId\":\"f8acde5fce7649d3841b6ea00ece87ea\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"3fdf92dae1d74e0ea51cef1f44086bde\",\"moduleCode\":\"F210101\",\"moduleNm\":\"悬置软垫总成（橡胶）\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"8653b107a3154ecaaa2f2a75ac4a4ac8\",\"rmmId\":\"d28089a63dca44f6b4675d5bbba397a5\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"062126e7f3274924834bc89369039963\",\"moduleCode\":\"F210102\",\"moduleNm\":\"悬置软垫总成（液压）\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"0d88fd46881e4ef0956a3b0fefa36764\",\"rmmId\":\"4db1f32aa6ef4128833eff9811a7522d\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"e52c6bf7a09d4b9194b15cc977f6b995\",\"moduleCode\":\"F210105\",\"moduleNm\":\"悬置支架（钣金）\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"357fb86477eb475c828437ba06b3637f\",\"rmmId\":\"f7594c16ef9a4ae29ed3a5498c3c8894\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"9c235dbb58c64d1fb51f6e77e5a54a87\",\"moduleCode\":\"F210106\",\"moduleNm\":\"悬置支架（球铁）\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"c1a5cc5bab8744dfaef46418f802dbea\",\"rmmId\":\"f2d41702d7684ce0bfd17ce678115dd0\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"7994f4bbdf9f4b51a6a06bac7ced21be\",\"moduleCode\":\"F280404\",\"moduleNm\":\"扬声器分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"54e3a0d689b74f4989830635dc4dfbf3\",\"rmmId\":\"271ad5cd60cd47da906901e94c6fea60\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"b7840d707d8643a1b35e4ebb1f35ba2e\",\"moduleCode\":\"F271201\",\"moduleNm\":\"仪表板\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"d7e2c56333474ff6be0386211d2e74f2\",\"rmmId\":\"f6efb354d9144aa08c358444c7ee3062\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"6c622923c7254ef3a9aaf5a9e0479932\",\"moduleCode\":\"F270502\",\"moduleNm\":\"移动玻璃系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"968fd7d4b1364df4b5d0ad025f3fd785\",\"rmmId\":\"e3465b5788574f4a8d2046e4aa2e6ae7\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"a30542e0b09741e5a982f4ae2a0510ac\",\"moduleCode\":\"F270102\",\"moduleNm\":\"翼子板\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"1e72d553eaab43328caf954dd8f0819d\",\"rmmId\":\"0d58b13c4ae54ae99ab7a36c4712c95a\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"925d16619c1e4f80800afd098fa6ed90\",\"moduleCode\":\"F211303\",\"moduleNm\":\"油位计组件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"16fc2bbaa4ff410888c8d8eb51830aa2\",\"rmmId\":\"4b8ce672611e4ff0a71dcd63f74c57c3\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"172a285ce2c04b58bdd9a6e8934b629a\",\"moduleCode\":\"F270608\",\"moduleNm\":\"油箱门门锁和机构\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"8fa6ce2dd7854777bdc4016d0dc42e23\",\"rmmId\":\"cff9399da2524febaa26ff5235bf4c8d\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"883d9de6ce184e6cb8687fd0a4000cde\",\"moduleCode\":\"F270105\",\"moduleNm\":\"油箱门总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"ff6219f2e55e446fbcd2893bb1ed55bc\",\"rmmId\":\"b3194cf61c56405e83ecde9375d09a9f\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"dd5dfda2964c4e8a93764e22c1d2022e\",\"moduleCode\":\"F270808\",\"moduleNm\":\"遮阳板总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"2d9b7ca8107a41c1bda9b24fccce2be2\",\"rmmId\":\"7a52e275fd6f4de3bda3c23f3b7eb93f\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"27814604e99e46da8537344eea72810c\",\"moduleCode\":\"F211702\",\"moduleNm\":\"正时轮系组件\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"1fe73df54a0745d2a40f226c1a4a3ee4\",\"rmmId\":\"1151d3877d72457ca24ab7ba01b33faa\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"8d86197aec3e4cf987378b8f37979d1a\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"11d13cf48aed451ab2d75661558ce07e\",\"moduleCode\":\"F260304\",\"moduleNm\":\"制动操纵分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"25411cbfb19441be9b8580d1022cd273\",\"rmmId\":\"58b0c757f81946fb95be9d02539b500b\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"bf4401bcf7974ca48e16982f5ffbee1e\",\"moduleCode\":\"F270104\",\"moduleNm\":\"转向支撑总成\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"3d83014f1ad541fb9abb093560558f85\",\"rmmId\":\"413af64e248c4b058c0c21840b5bd184\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"2a522b7fb0b647cca2fa59f2b21d1763\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"e458368779404600a65d1a26c9d62269\",\"moduleCode\":\"F260402\",\"moduleNm\":\"转向柱分系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"2627be3fb4c0460884677c5bc0a7efe1\",\"rmmId\":\"fb2e7eda3f3a461f8baa753a8e14cd58\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"ce8518ca8a164ae3a508c15354b33368\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"db5bcc53855f4949984f77adb19c0ed5\",\"moduleCode\":\"F230102\",\"moduleNm\":\"自动变速器（AT）\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"874652b9c8224248967eabd7c7121628\",\"rmmId\":\"cf83cb298e8c4089bf45c840357392fb\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"9ac8b648f01747c5b7bdf0ff3da0492e\",\"systemNm\":null,\"tp\":\"0\"},{\"moduleId\":\"db5bcc53855f4949984f77adb19c0ed5\",\"moduleCode\":\"F230102\",\"moduleNm\":\"自动变速器（AT）\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"12f3419aaadf48a5b1e605dd37b2f68b\",\"rmmId\":\"7ebfc77dbfd542daa01ac754661e18b4\",\"mvId\":\"d505e12e0f9044539b6c15a5bcda56d0\",\"systemId\":\"9ac8b648f01747c5b7bdf0ff3da0492e\",\"systemNm\":null,\"tp\":\"1\"},{\"moduleId\":\"796b60f0ca54486ab1bd7e3d533e56c4\",\"moduleCode\":\"F280201\",\"moduleNm\":\"组合仪表子系统\",\"moduleOrder\":null,\"moduleTp\":null,\"moduleThumbnail\":\"854a0caf03f24f7ead3013331da5bbde\",\"rmmId\":\"cdcd91f28ad943dfafb651d93775b4d4\",\"mvId\":\"5f6ee87bd9b64e7ba926bcce9e26494a\",\"systemId\":\"c8eeda28bc3c481ab397123e6e53c8ad\",\"systemNm\":null,\"tp\":\"0\"}],\"ok\":true,\"message\":\"\"}";
        final JSONObject jsonObject = JSON.parseObject(jsonString);
        final JSONArray data = jsonObject.getJSONArray("data");
        final List<TempScModule> scModules = JSONObject.parseArray(data.toJSONString(), TempScModule.class);
        LOGGER.info("解析结果:{}", scModules);
        scModules.stream().forEach(tempScModule -> {
            tempScModule.setCreateTime(new Date());
        });
        this.tempScModuleService.saveBatch(scModules);*/
        // 模块对应的备件列表
        String jsonString = "{\"code\":\"0\",\"msg\":\"查询成功\",\"data\":[{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-0101\",\"partNumber\":\"5811110-MK03-BQ01\",\"mainPartNumber\":\"5811110\",\"compNmCn\":\"前排安全带卷收器总成（左）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"1\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"541201,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-0200-AA\",\"partNumber\":\"5811120-MK01-BQ01-AA\",\"mainPartNumber\":\"5811120\",\"compNmCn\":\"前排安全带锁扣总成（左）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"2\",\"enableTime\":\"2019-04-18\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"5412005,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-0200\",\"partNumber\":\"5811120-MK01-BQ01\",\"mainPartNumber\":\"5811120\",\"compNmCn\":\"前排安全带锁扣总成（左）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"2\",\"enableTime\":\"2019-01-28\",\"disableTime\":\"2019-04-18\",\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"5412005,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":1,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":\"S111F271701-0200\"},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-0301\",\"partNumber\":\"5811210-MK03-BQ01\",\"mainPartNumber\":\"5811210\",\"compNmCn\":\"前排安全带卷收器总成（右）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"3\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"5953206,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-0400-AA\",\"partNumber\":\"5811220-MK01-BQ01-AA\",\"mainPartNumber\":\"5811220\",\"compNmCn\":\"前排安全带锁扣总成（右）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"4\",\"enableTime\":\"2019-04-18\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"10824010,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-0400\",\"partNumber\":\"5811220-MK01-BQ01\",\"mainPartNumber\":\"5811220\",\"compNmCn\":\"前排安全带锁扣总成（右）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"4\",\"enableTime\":\"2019-01-28\",\"disableTime\":\"2019-04-18\",\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"10824010,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":1,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":\"S111F271701-0400\"},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S401105-0600\",\"partNumber\":\"5811937-MK01\",\"mainPartNumber\":\"5811937\",\"compNmCn\":\"安全带螺母（7/16）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"5\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"3788404,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S401105-0600\",\"partNumber\":\"5811937-MK01\",\"mainPartNumber\":\"5811937\",\"compNmCn\":\"安全带螺母（7/16）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"5\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"9200409,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-0601\",\"partNumber\":\"5812110-BQ02\",\"mainPartNumber\":\"5812110\",\"compNmCn\":\"后排安全带卷收器总成（左）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"6\",\"enableTime\":\"2019-01-28\",\"disableTime\":\"2019-03-07\",\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"12447612,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":1,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":\"S111F271701-0601\"},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-0602\",\"partNumber\":\"5812110-BQ05\",\"mainPartNumber\":\"5812110\",\"compNmCn\":\"后排安全带卷收器总成（左）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"6\",\"enableTime\":\"2019-03-07\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"12447612,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-0701\",\"partNumber\":\"5812120-BQ02\",\"mainPartNumber\":\"5812120\",\"compNmCn\":\"后排安全带锁扣总成（左）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"7\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"15694815,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-0802\",\"partNumber\":\"5812210-BQ04\",\"mainPartNumber\":\"5812210\",\"compNmCn\":\"后排安全带卷收器总成（右）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"8\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"20430319,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-0900\",\"partNumber\":\"5812220-BQ01\",\"mainPartNumber\":\"5812220\",\"compNmCn\":\"后排安全带锁扣总成（右）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"9\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"14612414,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-1002\",\"partNumber\":\"5812310-BQ04\",\"mainPartNumber\":\"5812310\",\"compNmCn\":\"后排安全带卷收器总成（中）\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"10\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"14341814,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S401105-0500\",\"partNumber\":\"5812910-MK01\",\"mainPartNumber\":\"5812910\",\"compNmCn\":\"高调器总成\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"11\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"7035607,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S401105-0500\",\"partNumber\":\"5812910-MK01\",\"mainPartNumber\":\"5812910\",\"compNmCn\":\"高调器总成\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"11\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"1623602,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-1200\",\"partNumber\":\"8212114-W01\",\"mainPartNumber\":\"8212114\",\"compNmCn\":\"六角螺栓\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"12\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"2706003,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"S111F271701-1200\",\"partNumber\":\"8212114-W01\",\"mainPartNumber\":\"8212114\",\"compNmCn\":\"六角螺栓\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"12\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"8118008,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":null,\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"C201123-1000\",\"partNumber\":\"8212615-U01\",\"mainPartNumber\":\"8212615\",\"compNmCn\":\"下端片装饰盖\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"13\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"2164802,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":\"装车已经取消/售后还需要保供\",\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"C201123-1000\",\"partNumber\":\"8212615-U01\",\"mainPartNumber\":\"8212615\",\"compNmCn\":\"下端片装饰盖\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"13\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"7576807,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":\"装车已经取消/售后还需要保供\",\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"C201133-0400\",\"partNumber\":\"09116-06009\",\"mainPartNumber\":null,\"compNmCn\":\"六角头螺栓平垫圈组合件\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"14\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"10282810,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":\"V301SH16B带-STT5MT-L4、H15T-6MT-LV4、H15T-6AT-LV4借用。M109/F102借用\",\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"C201133-0400\",\"partNumber\":\"09116-06009\",\"mainPartNumber\":null,\"compNmCn\":\"六角头螺栓平垫圈组合件\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"14\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"13530013,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":\"V301SH16B带-STT5MT-L4、H15T-6MT-LV4、H15T-6AT-LV4借用。M109/F102借用\",\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"C201133-0400\",\"partNumber\":\"09116-06009\",\"mainPartNumber\":null,\"compNmCn\":\"六角头螺栓平垫圈组合件\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"14\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"4870805,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":\"V301SH16B带-STT5MT-L4、H15T-6MT-LV4、H15T-6AT-LV4借用。M109/F102借用\",\"updateTp\":null,\"spartPartCode\":null},{\"compId\":null,\"moduleCode\":null,\"compCode\":\"C201133-0400\",\"partNumber\":\"09116-06009\",\"mainPartNumber\":null,\"compNmCn\":\"六角头螺栓平垫圈组合件\",\"compNmEn\":null,\"bjfl\":null,\"bjdw\":null,\"compAmount\":1,\"bjbs\":null,\"shbgtd\":null,\"bjfbzt\":null,\"ghzt\":null,\"sjcj\":\"1\",\"dataSource\":null,\"remarks\":null,\"dataVersion\":null,\"mvId\":null,\"imageNo\":\"14\",\"enableTime\":\"2019-01-28\",\"disableTime\":null,\"delFlag\":0,\"exBjState\":null,\"prtPos\":\"24624623,0\",\"scCode\":null,\"scId\":null,\"modelCode\":null,\"replaceCount\":0,\"remark2\":\"V301SH16B带-STT5MT-L4、H15T-6MT-LV4、H15T-6AT-LV4借用。M109/F102借用\",\"updateTp\":null,\"spartPartCode\":null}],\"count\":24}";
        final JSONObject jsonObject = JSON.parseObject(jsonString);
        final JSONArray data = jsonObject.getJSONArray("data");
        final List<TempScParts> scPartsList = JSONObject.parseArray(data.toJSONString(), TempScParts.class);
        LOGGER.info("解析结果:{}", scPartsList);
        scPartsList.stream().forEach(tempScParts -> {
            tempScParts.setCreateTime(new Date());
            tempScParts.setModuleId("6a637761ff7e4fdaaf4fdcc737a10b65");
        });
        this.tempScPartsService.saveBatch(scPartsList);
    }


    //#################################方式二#########################

    /**
     * 设置Token
     */
    public HashMap<String, String> setToken(final String token){
        // token
        final HashMap<String, String> requestHeader = Maps.newHashMap();
        requestHeader.put("Host","epc.changan.com.cn:8080");
        requestHeader.put("X-Requested-With","XMLHttpRequest");
        requestHeader.put("Accept","*/*");
        requestHeader.put("Referer","http://epc.changan.com.cn:8080/frontCilentNew/carInfo.html?seriesId=JC2019092436648850&brandId=80aed4fce2eb4f2d8b0740fe3fdcdfa9");
        requestHeader.put("Accept-Encoding","gzip,deflate");
        requestHeader.put("Cookie","JSESSIONID=19674kmm8ndmx4j1qvi161h17");
        requestHeader.put("User-Agent","Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) EPC/1.0.0 Chrome/83.0.4103.64 Electron/9.0.0 Safari/537.36");
        requestHeader.put("Authorization", token);
        return requestHeader;
    }
    /**
     * 获取车系列表
     */
    public void selectSeriesByBrand(final HashMap<String, String> requestHeader){
        // 长安汽车
        String path1 = "http://epc.changan.com.cn:8080/second/system/bus-series/selectSeriesByStyleId?styleIds=" +
                "f8cdc53d944c4ce9b32b28428bca17bf%2C34664a0af0b14fcebd23716d52554a43%2Ccf308f70d2364658af69cf6fc0cd0c98%" +
                "2Cf7a5b76c8a9342c5be0ccd734845d555%2C459293acf3ae48d5a3412e33a0ac058f&_=" + System.currentTimeMillis();
        // 长安新能源
        String path2 = "http://epc.changan.com.cn:8080/second/system/bus-series/selectSeriesByStyleId?styleIds=" +
                "7d1c2528cabb4e1cb0f0d50fd519f8ca%2C38787ae7f0a045ffa6c8c625276b2edb&_=" + System.currentTimeMillis();
        // 欧尚
        String path3 = "http://epc.changan.com.cn:8080/second/system/bus-series/selectSeriesByStyleId?styleIds=" +
                "8f3c9366c54949a38b4bbae79b480f92%2Cfafd816dcfe34f5ba1d81bc144f23de6%2Ce58fa168dfd64f16a600eb12c2434060%" +
                "2C343473d72eb1471b89956d28a270c3cf%2C66fb20e40dc34aa7957209079900e337&_=" + System.currentTimeMillis();
        String brandId = oushang_brandId;
        Map<String, String> urlMap = new HashMap<>();
        urlMap.put(changan_brandId, path1);
        urlMap.put(changan_new_brandId, path2);
        urlMap.put(oushang_brandId, path3);
        try {
            final HttpClientResult httpClientResult = HttpClientUtils.doGetWithHeader(urlMap.get(brandId), requestHeader);
            final String content = httpClientResult.getContent();
            if (StringUtils.isNotEmpty(content)) {
                final JSONObject jsonObject = JSON.parseObject(content);
                final JSONArray data = jsonObject.getJSONArray("data");
                final List<TempCarSeries> seriesList = JSONObject.parseArray(data.toJSONString(), TempCarSeries.class);  // fastjson
                LOGGER.info("长安汽车或长安欧尚车系数据：【{}】", seriesList);
                if (CollectionUtils.isEmpty(seriesList)) {
                    return;
                }
                seriesList.forEach(tempCarSeries -> {
                    tempCarSeries.setBrandId(brandId);
                    tempCarSeries.setCreateTime(new Date());
                    tempCarSeries.setYn(Boolean.FALSE);
                });
                List<TempCarSeries> olds = tempCarSeriesService.list(Wrappers.<TempCarSeries>lambdaQuery()
                        .eq(TempCarSeries::getBrandId, brandId));
                List<String> oldIds = U.collIds(olds, TempCarSeries::getSeriesId);
                List<TempCarSeries> news = U.filter(seriesList,it -> !oldIds.contains(it.getSeriesId()));
                // 保存数据
                U.groupUpdateData(news, tempCarSeriesService::saveBatch);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * 根据车系ID获取车型编码
     */
    public void selectScCodeBySeriesId(final HashMap<String, String> requestHeader){
        String path2 = "http://epc.changan.com.cn:8080/record/rcd-sc/searchScCodePreBySeriesId?seriesId={0}&_=" + System.currentTimeMillis();
        // 获取所有的车系，遍历得到seriesId,没循环一次请求一下，中间间隔2秒继续下次请求
        final List<TempCarSeries> carSeries = this.tempCarSeriesService.list(Wrappers.<TempCarSeries>lambdaQuery().eq(TempCarSeries::getYn,Boolean.FALSE));
        if (CollectionUtils.isEmpty(carSeries)) {
            return;
        }
        for (TempCarSeries series : carSeries) {
            final String url = MessageFormat.format(path2, series.getSeriesId());
            try {
                final HttpClientResult httpClientResult = HttpClientUtils.doGetWithHeader(url, requestHeader);
                //
                final String content = httpClientResult.getContent();
                if (StringUtils.isNotEmpty(content)) {
                    final JSONObject jsonObject = JSON.parseObject(content);
                    final JSONArray data = jsonObject.getJSONArray("data");
                    final List<String> codes = JSONObject.parseArray(data.toJSONString(), String.class);
                    if (CollectionUtils.isNotEmpty(codes)) {
                        final List<TempScCode> tempScCodes = codes.stream().map(code -> {
                            TempScCode tempScCode = new TempScCode();
                            tempScCode.setCreateTime(new Date());
                            tempScCode.setScCode(code);
                            tempScCode.setSeriesId(series.getSeriesId());
                            tempScCode.setYn(Boolean.FALSE);
                            return tempScCode;
                        }).collect(Collectors.toList());
                        List<TempScCode> olds = tempScCodeService.list(Wrappers.<TempScCode>lambdaQuery()
                        .eq(TempScCode::getSeriesId, series.getSeriesId()));
                        List<String> oldIds = U.collIds(olds, TempScCode::getScCode);
                        List<TempScCode> news = U.filter(olds, it -> !oldIds.contains(it.getScCode()));
                        // 保存单个车系的车型代码列表
                        U.groupUpdateData(news, tempScCodeService::saveBatch);
                        series.setYn(Boolean.TRUE);
                        tempCarSeriesService.updateById(series);
                    }
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
            try {
                java.lang.Thread.sleep(2);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }

    }

    /**
     * 根据车型编码获取对应车款
     */
    public void selectScNameByScCode(final HashMap<String, String> requestHeader){
        String path3 = "http://epc.changan.com.cn:8080/record/rcd-sc/selectScChNameByScCodePre?scCodePreFix={0}&_=" + System.currentTimeMillis();
        try {
            final List<TempScCode> tempScCodes = this.tempScCodeService.list(Wrappers.<TempScCode>lambdaQuery().eq(TempScCode::getYn,Boolean.FALSE));
            for (TempScCode scCode : tempScCodes) {
                final String url = MessageFormat.format(path3, scCode.getScCode());
                final HttpClientResult httpClientResult = HttpClientUtils.doGetWithHeader(url, requestHeader);
                final String content = httpClientResult.getContent();
                if (StringUtils.isNotEmpty(content)) {
                    final JSONObject jsonObject = JSON.parseObject(content);
                    final JSONArray data = jsonObject.getJSONArray("data");
                    // 解析车款列表
                    final List<TempScName> tempScNames = JSONObject.parseArray(data.toJSONString(), TempScName.class);
                    if (CollectionUtils.isNotEmpty(tempScNames)) {
                        tempScNames.forEach(tempScName -> {
                            tempScName.setCreateTime(new Date());
                            tempScName.setPreCode(scCode.getScCode());
                            tempScName.setYn(Boolean.FALSE);
                        });
                        List<TempScName> olds = tempScNameService.list(Wrappers.<TempScName>lambdaQuery()
                                .eq(TempScName::getPreCode, scCode.getScCode()));
                        List<String> oldIds = U.collIds(olds, TempScName::getCode);
                        List<TempScName> news = U.filter(olds, it -> !oldIds.contains(it.getCode()));
                        U.groupUpdateData(news, tempScNameService::saveBatch);
                        scCode.setYn(Boolean.TRUE);
                        tempScCodeService.updateById(scCode);
                    }
                }

                java.lang.Thread.sleep(10);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }

    }

    /**
     * 根据具体车款获取系统大类
     */
    public void selectSystemByScId(final HashMap<String, String> requestHeader){
        String path4 = "http://epc.changan.com.cn:8080/record/rcd-system/selectSysByScId?scId={0}&_=" + System.currentTimeMillis();
        //获取车系列表
        final List<TempCarSeries> carSeries = this.tempCarSeriesService.list(Wrappers.<TempCarSeries>lambdaQuery()
                .eq(TempCarSeries::getYn,Boolean.TRUE));
        Set<String> seriesIds = new HashSet<>(U.collIds(carSeries, TempCarSeries::getSeriesId));
        //获取车款列表
        final List<TempScName> scNames = this.tempScNameService.getScNameBySeriesIds(seriesIds);
        // 车型 --系统组--模块
        for (TempScName scName : scNames) {
            final String url = MessageFormat.format(path4, scName.getScId());
            try {
                final HttpClientResult httpClientResult = HttpClientUtils.doGetWithHeader(url, requestHeader);
                final String content = httpClientResult.getContent();
                final JSONObject jsonObject = JSON.parseObject(content);
                final JSONArray data = jsonObject.getJSONArray("data");
                final List<TempScSystem> scSystems = JSONObject.parseArray(data.toJSONString(), TempScSystem.class);
                if (CollectionUtils.isNotEmpty(scSystems)) {
                    scSystems.forEach(tempScSystem -> {
                        tempScSystem.setCreateTime(new Date());
                        tempScSystem.setScId(scName.getScId());
                        tempScSystem.setYn(Boolean.FALSE);
                    });
                    scName.setYn(Boolean.TRUE);
                    tempScNameService.updateById(scName);
                }
                List<TempScSystem> olds = tempScSystemService.list(Wrappers.<TempScSystem>lambdaQuery()
                        .eq(TempScSystem::getScId, scName.getScId()));
                List<String> oldIds = U.collIds(olds, TempScSystem::getSystemId);
                List<TempScSystem> news = U.filter(olds, it -> !oldIds.contains(it.getSystemId()));
                U.groupUpdateData(news, tempScSystemService::saveBatch);
            } catch (Exception e) {
                e.printStackTrace();
            }
            try {
                java.lang.Thread.sleep(25);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }

    /**
     * 根据具体车款获取备件模块
     */
    public void selectModuleByScId(final HashMap<String, String> requestHeader){
        String path5 = "http://epc.changan.com.cn:8080/record/rcd-module/getBySysIdAndScId?systemId={0}&scId={1}&_=" + System.currentTimeMillis();
        //获取车系列表
        final List<TempCarSeries> carSeries = this.tempCarSeriesService.list(Wrappers.<TempCarSeries>lambdaQuery()
                .eq(TempCarSeries::getYn,Boolean.TRUE));
        //获取车款列表
        final List<TempScName> scNameList = this.tempScNameService
            .getScNameBySeriesIds1(carSeries.stream().map(TempCarSeries::getSeriesId).collect(Collectors.toSet()));
        Set<String> scIds = scNameList.stream().map(TempScName::getScId).collect(Collectors.toSet());
        List<TempScSystem> scSystems = tempScSystemService.list(Wrappers.<TempScSystem>lambdaQuery().in(TempScSystem::getScId, scIds));

        scSystems.stream().parallel().forEach(scSystem -> {
            final String url = MessageFormat.format(path5,scSystem.getSystemId(), scSystem.getScId());
            try {
                final HttpClientResult httpClientResult = HttpClientUtils.doGetWithHeader(url, requestHeader);
                final String content = httpClientResult.getContent();
                final JSONObject jsonObject = JSON.parseObject(content);
                final JSONArray data = jsonObject.getJSONArray("data");
                final List<TempScModule> scModules = JSONObject.parseArray(data.toJSONString(), TempScModule.class);
                if (CollectionUtils.isNotEmpty(scModules)) {
                    scModules.forEach(tempScModule -> {
                        tempScModule.setCreateTime(new Date());
                        tempScModule.setScId(scSystem.getScId()); // 一对多
                        tempScModule.setSystemId(scSystem.getSystemId());
                        tempScModule.setYn(Boolean.FALSE);
                    });
                    scSystem.setYn(Boolean.TRUE);
                    tempScSystemService.updateById(scSystem);
                }
                List<TempScModule> olds = tempScModuleService.list(Wrappers.<TempScModule>lambdaQuery()
                        .eq(TempScModule::getScId, scSystem.getScId()));
                List<String> oldIds = U.collIds(olds, TempScModule::getModuleCode);
                List<TempScModule> news = U.filter(olds, it -> !oldIds.contains(it.getModuleCode()));
                U.groupUpdateData(news, tempScModuleService::saveBatch);
                java.lang.Thread.sleep(50);
            } catch (Exception e) {
                e.printStackTrace();
            }
        });
    }



    /**
     * 根据模块获取备件
     */
    public void selectPartsByModule(final HashMap<String, String> requestHeader){
        for (int i = 1; i < 300; i++) {
            String path6 = "http://epc.changan.com.cn:8080/record/rcd-component/listByModuleIdAndSystemIdAndScId?moduleId={0}" +
                    "&scId={1}&systemId={2}&mvId={3}&_=" + System.currentTimeMillis();
            IPage<TempScModule> scModules  = this.tempScModuleService.page(new Page<>(i,1000),
                    Wrappers.<TempScModule>lambdaQuery().eq(TempScModule::getYn,Boolean.FALSE));
            List<TempScModule> records = scModules.getRecords();
            records.stream().parallel().forEach(module -> {
                // 获取模块对应的列表scId
                final String url = MessageFormat.format(path6, module.getModuleId(), module.getScId(), module.getSystemId(), module.getMvId());
                try {
                    final HttpClientResult result = HttpClientUtils.doGetWithHeader(url, requestHeader);
                    final String content = result.getContent();
                    final JSONObject jsonObject = JSON.parseObject(content);
                    final JSONArray data = jsonObject.getJSONArray("data");
                    final List<TempScParts> tempScParts = JSONObject.parseArray(data.toJSONString(), TempScParts.class);
                    if (CollectionUtils.isNotEmpty(tempScParts)) {
                        tempScParts.forEach(tempScParts1 -> {
                            tempScParts1.setCreateTime(new Date());
                            tempScParts1.setModuleId(module.getModuleId());
                            tempScParts1.setScId(module.getScId());
                            tempScParts1.setSystemId(module.getSystemId());
                            tempScParts1.setMvId(module.getMvId());
                            tempScParts1.setYn(Boolean.FALSE);
                        });
                        module.setYn(Boolean.TRUE);
                        tempScModuleService.updateById(module);
                        List<TempScParts> olds = tempScPartsService.list(Wrappers.<TempScParts>lambdaQuery()
                                .eq(TempScParts::getScId, module.getScId()));
                        List<String> oldIds = U.collIds(olds, TempScParts::getPartNumber);
                        List<TempScParts> news = U.filter(olds, it -> !oldIds.contains(it.getPartNumber()));
                        U.groupUpdateData(news, tempScPartsService::saveBatch);
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            });
        }
    }



    /**
     * 根据模块获取备件
     */
    public void selectPartsByModule1(final HashMap<String, String> requestHeader){
        for (int i = 30; i < 300; i++) {
            String path6 = "http://epc.changan.com.cn:8080/record/rcd-component/listByModuleIdAndSystemIdAndScId?moduleId={0}" +
                    "&scId={1}&systemId={2}&mvId={3}&_=" + System.currentTimeMillis();
            IPage<TempScModule> scModules  = this.tempScModuleService.page(new Page<>(i,1000),
                    Wrappers.<TempScModule>lambdaQuery().eq(TempScModule::getYn,Boolean.FALSE));
            List<TempScModule> records = scModules.getRecords();
            records.stream().parallel().forEach(module -> {
                // 获取模块对应的列表scId
                final String url = MessageFormat.format(path6, module.getModuleId(), module.getScId(), module.getSystemId(), module.getMvId());
                try {
                    final HttpClientResult result = HttpClientUtils.doGetWithHeader(url, requestHeader);
                    final String content = result.getContent();
                    final JSONObject jsonObject = JSON.parseObject(content);
                    final JSONArray data = jsonObject.getJSONArray("data");
                    final List<TempScParts> tempScParts = JSONObject.parseArray(data.toJSONString(), TempScParts.class);
                    if (CollectionUtils.isNotEmpty(tempScParts)) {
                        tempScParts.forEach(tempScParts1 -> {
                            tempScParts1.setCreateTime(new Date());
                            tempScParts1.setModuleId(module.getModuleId());
                            tempScParts1.setScId(module.getScId());
                            tempScParts1.setSystemId(module.getSystemId());
                            tempScParts1.setMvId(module.getMvId());
                            tempScParts1.setYn(Boolean.FALSE);
                        });
                        module.setYn(Boolean.TRUE);
                        tempScModuleService.updateById(module);
                        CompletableFuture.runAsync(() -> {
                            this.tempScPartsService.saveBatch(tempScParts);
                        });
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            });
        }
    }

    /**
     * 爬虫获取数据
     */
    // @Transactional(rollbackFor = Exception.class)
    public void robotsFetchPartsData() throws Exception {
        // token
        final HashMap<String, String> requestHeader = Maps.newHashMap();
        requestHeader.put("Authorization", "fa6132a6aeaf415d90b59126c9f21574");
        // 1 获取车系列表
        // 欧尚汽车
        /*String path1 = "\n" +
                "http://epc.changan.com.cn:8080/system/bus-series/selectSeriesByStyleId?styleIds=f8cdc53d944c4ce9b32b28428bca17bf%2Ccf308f70d2364658af69cf6fc0cd0c98%2Cf7a5b76c8a9342c5be0ccd734845d555%2C459293acf3ae48d5a3412e33a0ac058f&_=" + System.currentTimeMillis();
        try {
            final HttpClientResult httpClientResult = HttpClientUtils.doGet(path1, requestHeader);
            final String content = httpClientResult.getContent();
            if (StringUtils.isNotEmpty(content)) {
                final JSONObject jsonObject = JSON.parseObject(content);
                final JSONArray data = jsonObject.getJSONArray("data");
                // final List<TempCarSeries> tempCarSeries1 = MapperUtils.json2list(data.toJSONString(), TempCarSeries.class); // jackson
                final List<TempCarSeries> seriesList = JSONObject.parseArray(data.toJSONString(), TempCarSeries.class);  // fastjson
                LOGGER.info("欧尚汽车车系数据：【{}】", seriesList);
                if (CollectionUtils.isEmpty(seriesList)) {
                    return;
                }
                seriesList.stream().forEach(tempCarSeries -> {
                    tempCarSeries.setBrandId(changan_brandId);
                    tempCarSeries.setCreateTime(new Date());
                });
                // 保存数据
                this.tempCarSeriesService.saveBatch(seriesList);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }*/

        // 2。获取某个车系的车型编码列表
       /* String path2 = "http://epc.changan.com.cn:8080/record/rcd-sc/searchScCodePreBySeriesId?seriesId={0}&_=" + System.currentTimeMillis();
        // 获取所有的车系，遍历得到seriesId,没循环一次请求一下，中间间隔2秒继续下次请求
        final List<TempCarSeries> carSeries = this.tempCarSeriesService.list();
        if (CollectionUtils.isEmpty(carSeries)) {
            return;
        }
        for (TempCarSeries serie : carSeries) {
            final String url = MessageFormat.format(path2, serie.getSeriesId());
            try {
                final HttpClientResult httpClientResult = HttpClientUtils.doGetWithHeader(url, requestHeader);
                //
                final String content = httpClientResult.getContent();
                if (StringUtils.isNotEmpty(content)) {
                    final JSONObject jsonObject = JSON.parseObject(content);
                    final JSONArray data = jsonObject.getJSONArray("data");
                    final List<String> codes = JSONObject.parseArray(data.toJSONString(), String.class);
                    if (CollectionUtils.isNotEmpty(codes)) {
                        final List<TempScCode> tempScCodes = codes.stream().map(code -> {
                            TempScCode tempScCode = new TempScCode();
                            tempScCode.setCreateTime(new Date());
                            tempScCode.setScCode(code);
                            tempScCode.setSeriesId(serie.getSeriesId());
                            return tempScCode;
                        }).collect(Collectors.toList());
                        // 保存单个车系的车型代码列表
                        this.tempScCodeService.saveBatch(tempScCodes);
                    }
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
            try {
                java.lang.Thread.sleep(2);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }*/
        //  3。获取车型 对应的具体车款车列表信息
       /* String path3 = "http://epc.changan.com.cn:8080/record/rcd-sc/selectScChNameByScCodePre?scCodePreFix={0}&_=" + System.currentTimeMillis();
        try {
            final List<TempScCode> tempScCodes = this.tempScCodeService.list();
            for (TempScCode scCode : tempScCodes) {
                final String url = MessageFormat.format(path3, scCode.getScCode());
                final HttpClientResult httpClientResult = HttpClientUtils.doGetWithHeader(url, requestHeader);
                final String content = httpClientResult.getContent();
                if (StringUtils.isNotEmpty(content)) {
                    final JSONObject jsonObject = JSON.parseObject(content);
                    final JSONArray data = jsonObject.getJSONArray("data");
                    // 解析车款列表
                    final List<TempScName> tempScNames = JSONObject.parseArray(data.toJSONString(), TempScName.class);
                    if (CollectionUtils.isNotEmpty(tempScNames)) {
                        tempScNames.stream().forEach(tempScName -> {
                            tempScName.setCreateTime(new Date());
                            tempScName.setPreCode(scCode.getScCode());
                        });
                        this.tempScNameService.saveBatch(tempScNames);
                    }
                }
                java.lang.Thread.sleep(10);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }*/

        // 4. 获取车款的系统总成-模块分组总数
        String path4 = "http://epc.changan.com.cn:8080/record/rcd-system/selectSysByScId?scId={0}&_=" + System.currentTimeMillis();

        final List<TempScName> scNames = this.tempScNameService.getScNameBySeriesId("JC2014020817022245");
        // 车型 --系统组--模块
        for (TempScName scName : scNames) {
            final String url = MessageFormat.format(path4, scName.getScId());
            try {
                final HttpClientResult httpClientResult = HttpClientUtils.doGetWithHeader(url, requestHeader);
                final String content = httpClientResult.getContent();
                final JSONObject jsonObject = JSON.parseObject(content);
                final JSONArray data = jsonObject.getJSONArray("data");
                final List<TempScSystem> scSystems = JSONObject.parseArray(data.toJSONString(), TempScSystem.class);
                if (CollectionUtils.isNotEmpty(scSystems)) {
                    scSystems.stream().forEach(tempScSystem -> {
                        tempScSystem.setCreateTime(new Date());
                        tempScSystem.setScId(scName.getScId());
                    });
                }
                this.tempScSystemService.saveBatch(scSystems);
            } catch (Exception e) {
                e.printStackTrace();
            }
            try {
                java.lang.Thread.sleep(25);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
        // 5. 获取车款模块列表
       /* String path5 = "http://epc.changan.com.cn:8080/record/rcd-module/getBySysIdAndScId?systemId=&scId={0}&_=" + System.currentTimeMillis();
        final List<TempScName> scNameList = this.tempScNameService.getScNameBySeriesId("WC4018052393405253");; // 代码有点重复了
        for (TempScName scName : scNameList) {
            final String url = MessageFormat.format(path5, "d4b06ed8c0f74d938a003ca96d839d0e");
            try {
                final HttpClientResult httpClientResult = HttpClientUtils.doGetWithHeader(url, requestHeader);
                final String content = httpClientResult.getContent();
                final JSONObject jsonObject = JSON.parseObject(content);
                final JSONArray data = jsonObject.getJSONArray("data");
                final List<TempScModule> scModules = JSONObject.parseArray(data.toJSONString(), TempScModule.class);
                if (CollectionUtils.isNotEmpty(scModules)) {
                    scModules.stream().forEach(tempScModule -> {
                        tempScModule.setCreateTime(new Date());
                        tempScModule.setScId(scName.getScId()); // 一对多
                    });
                }
                this.tempScModuleService.saveBatch(scModules);
            } catch (Exception e) {
                e.printStackTrace();
            }
            try {
                java.lang.Thread.sleep(new Random().nextInt(10) + 1);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }*/

        // 6。 获取模块对应的备件列表
       /* for (int i = 0; i < 257 ; i++) { // 执行 260次 i到259
            String path6 = "http://epc.changan.com.cn:8080/record/rcd-component/listByModuleIdAndSystemIdAndScId?moduleId={0}&scId={1}&systemId={2}&mvId={3}&_=" + System.currentTimeMillis();
            // 获取所有的模块
            Page<TempScModule> page = new Page<>();
            page.setCurrent(1L);
            page.setSize(1000L);
            IPage<TempScModule> page1 = this.tempScModuleService.page(page, Wrappers.<TempScModule>lambdaQuery().eq(TempScModule::getStatus,0));
            List<TempScModule> scModules = page1.getRecords();
            List<TempScModule> moduleList = new ArrayList<>();
            for (TempScModule module : scModules) {
                // 获取模块对应的列表scId
                final String url = MessageFormat.format(path6, module.getModuleId(), module.getScId(), module.getSystemId(), module.getMvId());
                final HttpClientResult result;
                try {
                    result = HttpClientUtils.doGetWithHeader(url, requestHeader);
                    final String content = result.getContent();
                    final JSONObject jsonObject = JSON.parseObject(content);
                    final JSONArray data = jsonObject.getJSONArray("data");
                    if (null == data) {
                       break;
                    }
                    final List<TempScParts> tempScParts = JSONObject.parseArray(data.toJSONString(), TempScParts.class);
                    if (CollectionUtils.isNotEmpty(tempScParts)) {
                        tempScParts.stream().forEach(tempScParts1 -> {
                            tempScParts1.setCreateTime(new Date());
                            tempScParts1.setModuleId(module.getModuleId());
                        });
                    }
                    this.tempScPartsService.saveBatch(tempScParts);
                } catch (Exception e) {
                    e.printStackTrace();
                }
                try {
//                    java.lang.Thread.sleep(new Random().nextInt(4) + 1);
                    java.lang.Thread.sleep(1);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                // 处理了的数据记录更新时间
                TempScModule tempScModule = new TempScModule();
                tempScModule.setId(module.getId());
                tempScModule.setStatus(1); //已经处理
              //  moduleList.add(tempScModule);
                this.tempScModuleService.updateById(tempScModule);
            }
           // this.tempScModuleService.updateBatchById(moduleList);//漂亮更新
        }

    /**
     * -Xms1536m -Xmx1536m -Xmn576m -XX:+AlwaysPreTouch -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=768m
     *
     *
     *
     * -XX:+AlwaysPreTouch
     *
     *
     * -XX:MetaspaceSize=256m
     *
     * -XX:MaxMetaspaceSize=768m
     */
        // 获取单个车系的备件信息
      /*  String url1 = "http://epc.changan.com.cn:8080/record/rcd-component/listByModuleIdAndSystemIdAndScId?" +
                "moduleId=1b670a928648454f8f666382f710536b&systemId=1287d38018a449bfb60f53f329723cf2&scId=0d05e0e601c04c278ad9b742558b3920&mvId=5f6ee87bd9b64e7ba926bcce9e26494a&_=1572420982767";
        HttpClientResult  result1 = HttpClientUtils.doGetWithHeader(url1, requestHeader);
        final String content1 = result1.getContent();*/
        // 第三步
        /*String path6 = "http://epc.changan.com.cn:8080/record/rcd-component/listByModuleIdAndSystemIdAndScId?moduleId={0}&scId={1}&systemId={2}&mvId={3}&_=";
        // 获取所有的模块
        List<TempScModule> scModules = this.tempScModuleService.getModulesBySeriesId("WC4018052393405253");
        List<TempScModule> moduleList = new ArrayList<>();
        for (TempScModule module : scModules) {
            // 获取模块对应的列表scId
            final String url = MessageFormat.format(path6, module.getModuleId(), module.getScId(), module.getSystemId(), module.getMvId()) + System.currentTimeMillis();
            final HttpClientResult result;
            result = HttpClientUtils.doGetWithHeader(url, requestHeader);
            final String content = result.getContent();
            final JSONObject jsonObject = JSON.parseObject(content);
            final JSONArray data = jsonObject.getJSONArray("data");
            if (null != data && data.size() > 0) {
                final List<TempScParts> tempScParts = JSONObject.parseArray(data.toJSONString(), TempScParts.class);
                if (CollectionUtils.isNotEmpty(tempScParts)) {
                    tempScParts.stream().forEach(tempScParts1 -> {
                        tempScParts1.setCreateTime(new Date());
                        tempScParts1.setModuleId(module.getModuleId());
                    });
                }
                this.tempScPartsService.saveBatch(tempScParts);
                try {
//                    java.lang.Thread.sleep(new Random().nextInt(4) + 1);
                    java.lang.Thread.sleep(1);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                // 处理了的数据记录更新时间
                TempScModule tempScModule = new TempScModule();
                tempScModule.setId(module.getId());
                tempScModule.setStatus(1); //已经处理759cba2c73144d3d9b7d044994289846
                // this.tempScModuleService.updateById(tempScModule);
                moduleList.add(tempScModule);
            }
        }
        if (CollectionUtils.isNotEmpty(moduleList)) {
            this.tempScModuleService.updateBatchById(moduleList);
        }*/
    }

    // 1
    public void getAllScPart() {
        final List<TempScName> scNameList = this.tempScNameService.list(Wrappers.<TempScName>lambdaQuery().eq(TempScName::getYn, 0));
        if (CollectionUtils.isEmpty(scNameList)) {
            return;
        }
        int count = 1;
        for (TempScName tempScName : scNameList) {
            long start = System.currentTimeMillis();
            LOGGER.info("开始获取车型备件次数[{}] 车型【{}】", count, tempScName.toString());
            this.robotsFetchModulesData1(tempScName.getScId());
            LOGGER.info("获取车型备件成功耗时：[{}] s", (System.currentTimeMillis() - start) / 1000);
            count++;
        }
    }

    //2 获取某个车型的模块-再获取某个模块对应的备件
    public void robotsFetchModulesData1(String scId) {
        // token
        final HashMap<String, String> requestHeader = Maps.newHashMap();
        requestHeader.put("Authorization", "cb8af056af8243f6a88c9e1b6029ce4c");
        String path5 = "http://epc.changan.com.cn:8080/record/rcd-module/getBySysIdAndScId?systemId=&scId={0}&_=" + System.currentTimeMillis();
        // final List<TempScName> scNameList = this.tempScNameService.getScNameBySeriesId("JC2014020817022245");; // 代码有点重复了
        // for (TempScName scName : scNameList) {
        final String url = MessageFormat.format(path5, scId);
        try {
            final HttpClientResult httpClientResult = HttpClientUtils.doGetWithHeader(url, requestHeader);
            final String content = httpClientResult.getContent();
            final JSONObject jsonObject = JSON.parseObject(content);
            final JSONArray data = jsonObject.getJSONArray("data");
            final List<TempScModule> scModules = JSONObject.parseArray(data.toJSONString(), TempScModule.class);
            if (CollectionUtils.isNotEmpty(scModules)) {
                scModules.stream().forEach(tempScModule -> {
                    tempScModule.setCreateTime(new Date());
                    tempScModule.setScId(scId); // 一对多
                    // 获取单个模块下面的备件
                    try {
                        this.getParts(tempScModule, requestHeader);

                        java.lang.Thread.sleep(1);

                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                });
            }
            // 保存模块
            this.tempScModuleService.saveBatch(scModules);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    // 3 获取单个模块的备件信息
    private void getParts(TempScModule module, HashMap<String, String> requestHeader) throws Exception {

        String path6 = "http://epc.changan.com.cn:8080/record/rcd-component/listByModuleIdAndSystemIdAndScId?moduleId={0}&scId={1}&systemId={2}&mvId={3}&_=";
        // 获取模块对应的列表scId
        final String url = MessageFormat.format(path6, module.getModuleId(), module.getScId(), module.getSystemId(), module.getMvId()) + System.currentTimeMillis();
        final HttpClientResult result;
        result = HttpClientUtils.doGetWithHeader(url, requestHeader);
        final String content = result.getContent();
        final JSONObject jsonObject = JSON.parseObject(content);
        final JSONArray data = jsonObject.getJSONArray("data");
        if (null != data && data.size() > 0) {
            final List<TempScParts> tempScParts = JSONObject.parseArray(data.toJSONString(), TempScParts.class);
            LOGGER.info("获取备件数据========》{}", tempScParts);
            if (CollectionUtils.isNotEmpty(tempScParts)) {
                tempScParts.stream().forEach(tempScParts1 -> {
                    tempScParts1.setCreateTime(new Date());
                    tempScParts1.setModuleId(module.getModuleId());
                });
            }
            //保存备件
            this.tempScPartsService.saveBatch(tempScParts);
        }
    }




   /* public void robotsFetchPartsData2() throws Exception {
        // token
        final HashMap<String, String> requestHeader = Maps.newHashMap();
        requestHeader.put("Authorization", "b181ea9145c84940be06a0b55e6580a0");
        *//*requestHeader.put("Cookie","Hm_lvt_1011a3fe8c5e5a5c411464126962ccce=1572251353;" +
                " _gscu_453308696=72251353dy74kx15; _ga=GA1.3.1656286379.1572251354; pt_40c7e70d" +
                "=uid=eOqijbJ6oeDnhaxiPJhCjg&nid=0&vid=QQQWxjidA0Qg4accn8Edrg&vn=2&pvn=1&sact=1572252047281&to_flag=0&p" +
                "l=Tr2/kqjVoHWQ6qQbHu2c2A*pt*1572252042610; JSESSIONID=18bn2i9yw6pau148uu0sur391z");*//*
        String path6 = "http://epc.changan.com.cn:8080/record/rcd-component/listByModuleIdAndSystemIdAndScId?moduleId={0}&scId={1}&systemId={2}&mvId={3}&_=";
        // 获取所有的模块
        List<TempScModule> scModules = this.tempScModuleService.getModulesBySeriesId("JC2014020817022245");
        List<TempScModule> moduleList = new ArrayList<>();
        int i = 0;
        for (TempScModule module : scModules) {
            // 获取模块对应的列表scId
            final String url = MessageFormat.format(path6, module.getModuleId(), module.getScId(), module.getSystemId(), module.getMvId()) + System.currentTimeMillis();
            final HttpClientResult result;
            result = HttpClientUtils.doGetWithHeader(url, requestHeader);
            final String content = result.getContent();
            final JSONObject jsonObject = JSON.parseObject(content);
            final JSONArray data = jsonObject.getJSONArray("data");

            System.out.println("执行中" + i++);
            if (null != data && data.size() > 0) {
                final List<TempScParts> tempScParts = JSONObject.parseArray(data.toJSONString(), TempScParts.class);
                if (CollectionUtils.isNotEmpty(tempScParts)) {
                    tempScParts.stream().forEach(tempScParts1 -> {
                        tempScParts1.setCreateTime(new Date());
                        tempScParts1.setModuleId(module.getModuleId());
                    });
                }
                this.tempScPartsService.saveBatch(tempScParts);
                try {
//                    java.lang.Thread.sleep(new Random().nextInt(4) + 1);
                    java.lang.Thread.sleep(1);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                // 处理了的数据记录更新时间
                TempScModule tempScModule = new TempScModule();
                tempScModule.setId(module.getId());
                tempScModule.setStatus(1); //已经处理759cba2c73144d3d9b7d044994289846
                // this.tempScModuleService.updateById(tempScModule);
                moduleList.add(tempScModule);
            }
        }
        if (CollectionUtils.isNotEmpty(moduleList)) {
            this.tempScModuleService.updateBatchById(moduleList);
        }
    }

    *//**
     * 获取系统
     *//*
    public void getSystemData() {
        // token
        final HashMap<String, String> requestHeader = Maps.newHashMap();
        requestHeader.put("Authorization", "b181ea9145c84940be06a0b55e6580a0");
        //  4. 获取车款的系统总成-模块分组总数
        String path4 = "http://epc.changan.com.cn:8080/record/rcd-system/selectSysByScId?scId={0}&_=" + System.currentTimeMillis();

        final List<TempScName> scNames = this.tempScNameService.getScNameBySeriesId("JC2014020817022245");
        // 车型 --系统组--模块
        // for (TempScName scName : scNames) {
        String scId = "316daf08756342b784398ed053b56586";
        final String url = MessageFormat.format(path4, scId);
        try {
            final HttpClientResult httpClientResult = HttpClientUtils.doGetWithHeader(url, requestHeader);
            final String content = httpClientResult.getContent();
            final JSONObject jsonObject = JSON.parseObject(content);
            final JSONArray data = jsonObject.getJSONArray("data");
            final List<TempScSystem> scSystems = JSONObject.parseArray(data.toJSONString(), TempScSystem.class);
            if (CollectionUtils.isNotEmpty(scSystems)) {
                scSystems.stream().forEach(tempScSystem -> {
                    tempScSystem.setCreateTime(new Date());
                    tempScSystem.setScId(scId);
                    // TODO 某个车型的某个系统的模块
                });
            }
            this.tempScSystemService.saveBatch(scSystems);
        } catch (Exception e) {
            e.printStackTrace();
        }
            *//*try {
                java.lang.Thread.sleep(25);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }*//*
//        }
    }*/
}

