package com.sucl.sbmp.sys.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * 基础数据库类
 *
 * @author Devin
 * @date: 2018/12/7 10:28
 */
@Getter
@Setter
public class BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    public static final String F_CREATED_TIME = "create_time";
    public static final String F_UPDATE_TIME = "update_time";
    public static final String F_YN = "yn";

    @TableId(type = IdType.AUTO)
    protected Long id;

    /**
     * 创建时间
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    protected Date createTime;

    /**
     * 修改时间
     */
    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    protected Date updateTime;

    /**
     * 数据状态 1正常 -1 逻辑删除
     */
    @TableLogic
    @TableField(value = "yn", fill = FieldFill.INSERT)
    protected Boolean yn;
}
